title: Shutting down longaccess
url: https://blog.vrypan.net/2015/07/16/shutting-down-longaccess/
hash_url: 0c742d7e59ebe5cfd8b891a7f8c46e82

<p class="lead">Longaccess is shutting down. This is not where I planned to be when I started Longaccess, 2.5 years ago. The plan was world domination, yet here I am, having to say goodbye to everything I've worked for in the last 2.5 years. Do I regret it? No! The destination is crappy, but the journey was totally worth it.</p>
<div class="e-content entry-content"><p>I started Longaccess early in 2013. I wanted to create a personal archiving service for the long run: <a href="http://the.longaccess.com/blog/2013/07/15/why-we-started-longaccess/">A place where I could store my daughter's first videos and photos and be sure she would find them no matter what, when she is old enough to care</a>.</p>
<p>Longaccess offered exactly that: users would pay in advance for 30 years of storage and upload any file they wanted to archive. Archives were client-side encrypted and immutable (once uploaded, no one can add, delete or update files). </p>
<p>And each archive corresponded to a "certificate": a simple text file containing the archive ID and the random encryption key that had been used to encrypt the archive. We recommended that our users printed the archive certificate, to make sure technological obsolescence doesn't make it unusable in the future (because if the certificate is lost, there is no way to recover the specific archive).</p>
<p>Before we even started the project, we put a lot of thought on designing the architecture of the service in such a way that it would survive decades of technological advances: The core data is stored in as platform agnostic as possible.</p>
<p>Many people liked the idea, but few actually used it. In retrospect, I think that one of the main things we did not address was eliminating friction: Even if we offered the space, the archiving process required a significant amount of investment in time our users were not ready to do. </p>
<p>The second problem was ensuring our users we can keep the 30 years promise: How do we know you will be around for thirty years? All we could say was, “we are the only ones trying!” (We did have something better than this on paper, but we never got to implement it, so let's stick to what we actually did.)</p>
<p>We did other mistakes too, and had to deal with problems we did not expect, but like I said, these two were our biggest obstacles.</p>
<p>So here we are today. We have about 1,500 registered users, and only 40 paying users, very little cash in the bank, and no sign we could raise additional funds. <strong>In short, we have to shut longaccess.com down.</strong></p>
<p>However, <strong>I always considered the 30 years retention plan to be a personal promise</strong>, not just business. I know that some people have trusted Longaccess to safeguard some of their most precious memories. I can't fail them. </p>
<p>I've talked with our investors, and we have agreed I can keep the user archives and the domain. The service will be stripped down in functionality and no new archives will be uploaded from now on. <strong>But I will keep paying (personally) for the storage space required to preserve them and I will do my best to assist any users who would like to retrieve their archives for the next 30 years.</strong></p>
<p>A promise is a promise.</p>
<hr />
<p>This post would not be complete if I did't thank the people who have been with me in this incredible journey:</p>
<ul>
<li><a href="https://twitter.com/koukopoulos">Kostas</a>, <a href="https://twitter.com/afivos">Fivos</a>, <a href="https://twitter.com/cybernouris">Fanis</a>, <a href="https://twitter.com/SofiaDaizyful">Sofia</a> and <a href="https://twitter.com/MagdaKarayianni">Magda</a>, for being <a href="https://www.bigstash.co/team/">an amazing team</a>. Their talent, skills, and ethos are exceptional. If you are building a team, you definitely want them in it!</li>
<li>Our investors at <a href="http://theopenfund.com/">Openfund</a> for their support, their understanding, and most of all, their trust. If your startup needs funding, you have to check them out.</li>
</ul>
