title: Why We’re Traveling
url: http://phileasandblogg.com/why-were-traveling/
hash_url: 1e87f94abc80a68d31946df5de7f0aca

<p dir="ltr">It’s no coincidence that so many successful tech companies were (and will be) born in the Bay Area. But for <a href="http://phileasandfogg.com">Phileas &amp; Fogg</a>, we’re packing up and spending October through December in Costa Rica. Here’s why.</p>
<h3 dir="ltr"><span id="more-126"/>The Fisherman</h3>
<p dir="ltr">There’s a great story that originated with a man named Heinrich Böll. It goes something like this:<sup id="rf1-126"><a href="#fn1-126" title=" Anekdote zur Senkung der Arbeitsmoral by Heinrich Boll ">1</a></sup></p>
<blockquote>
<p dir="ltr">An American entrepreneur was at a pier in a small coastal Mexican village when a small boat with just one fisherman docked. Inside the small boat were several large yellow-fin tuna. The American complimented the Mexican on the quality of his fish and asked how long it took to catch them.</p>
<p dir="ltr">The Mexican replied only a little while.</p>
<p dir="ltr">The entrepreneur then asked why didn’t he stay out longer and catch more fish?</p>
<p dir="ltr">The fisherman said he had enough to support his family’s immediate needs.</p>
<p dir="ltr">The American then asked the Mexican how he spent the rest of his time.</p>
<p dir="ltr">The Mexican fisherman said, “I sleep late, fish a little, play with my children, take siesta with my wife, Maria, stroll into the village each evening where I sip wine and play guitar with my amigos. I have a full and busy life, señor.”</p>
<p dir="ltr">The American scoffed, “I can help you. You should spend more time fishing and, with the proceeds, buy a bigger boat. With the proceeds from the bigger boat, you could buy several boats, eventually you would have a fleet of fishing boats. Instead of selling your catch to a middleman you would sell directly to the processor, eventually opening your own cannery. You would control the product, processing and distribution.</p>
<p dir="ltr">“You would need to leave this small coastal fishing village and move to Mexico City, then LA and eventually NYC where you will run your expanding enterprise.”</p>
<p dir="ltr">The Mexican fisherman asked, “But señor, how long will this all take?”</p>
<p dir="ltr">To which the American replied, “15-20 years.”</p>
<p dir="ltr">“But what then, señor?” asked the fisherman.</p>
<p dir="ltr">The entrepreneur laughed, and said, “That’s the best part! When the time is right, you would announce an IPO and sell your company stock to the public. You’ll become very rich, you would make millions!”</p>
<p dir="ltr">“Millions, señor?” replied the Mexican. “Then what?”</p>
<p dir="ltr">The American said, “Then you would retire. Move to a small coastal fishing village where you would sleep late, fish a little, play with your kids, take siesta with your wife, stroll to the village in the evenings where you could sip wine and play your guitar with your amigos.”</p>
</blockquote>
<h3 dir="ltr">Peacefulness</h3>
<p dir="ltr">No matter how good I am at saying no, somehow by the time Monday rolls around my schedule for the week is already filled with random phone calls, coffee meetings and evening events. That’s part of the magic of Silicon Valley — there’s never a shortage of things to do or people who could help you out.</p>
<p dir="ltr">However, design and programming require long stretches of uninterrupted time. Paul Graham said it best:<sup id="rf2-126"><a href="#fn2-126" title=" Maker’s Schedule, Manager’s Schedule by Paul Graham, July 2009 ">2</a></sup></p>
<blockquote>
<p dir="ltr">I find one meeting can sometimes affect a whole day. A meeting commonly blows at least half a day, by breaking up a morning or afternoon. But in addition there’s sometimes a cascading effect. If I know the afternoon is going to be broken up, I’m slightly less likely to start something ambitious in the morning. I know this may sound oversensitive, but if you’re a maker, think of your own case. Don’t your spirits rise at the thought of having an entire day free to work, with no appointments at all? Well, that means your spirits are correspondingly depressed when you don’t. And ambitious projects are by definition close to the limits of your capacity. A small decrease in morale is enough to kill them off.</p>
</blockquote>
<p>When starting a new product, three months with minimal distractions really does seem like paradise. There will be a ton of things to do and explore, but it makes it easier to cut out any sort of unwanted interruptions.</p>
<h3 dir="ltr">Litmus Test</h3>
<p dir="ltr">We want to work with people who are adventurous and like trying new things. People who go with the flow, think quick on their feet and make things happen. Traveling acts a bit like a litmus test for this.</p>
<p dir="ltr">Of course, one downside is that it’s not ideal for everyone. Some of the best people I’ve ever worked with wouldn’t want to or be able to travel. We’ll get around this eventually by hiring remote employees or setting up a SF office.</p>
<p dir="ltr">The first few months and hires of any company sets the tone for the rest of its existence. We want to start things off with a strong culture of exploring and experimenting.</p>
<h3 dir="ltr">Product Strategy</h3>
<p dir="ltr">Traveling in three month chunks fits our product strategy. We’re building a suite of smaller-scale developer tools that integrate with and build on each other, and three months gives us a hard deadline for each one. Something about having your visa expire puts into perspective which features are really important.</p>
<p dir="ltr">There’s a huge number of products and ideas that fit somewhere between “side project” and “fundable startup”. That’s the scope we’re tackling. When you take funding, you’re basically signing up forever — even if the product doesn’t need that much attention. When you have forever, it’s hard to keep focus on what’s really important. Not every useful product needs hundreds of features, four rewrites and a social network tacked on. But that’s for another blog post.</p>
<h3 dir="ltr">The Price</h3>
<p dir="ltr">San Francisco is attracting the best talent and companies — and as a result, it’s become almost comically expensive. You can be making six figures a year, yet still end up living like a college student.</p>
<p dir="ltr">Going to Costa Rica isn’t going to save us much money. However, we can make that money go farther. For the same price as a tiny office and small apartments for our team in SF, we’ll be working from <a title="The House" href="http://phileasandblogg.com/the-house/">a beautiful geodesic dome overlooking the Pacific Ocean</a>.</p>
<h3 dir="ltr">Unique Perks</h3>
<p dir="ltr">There was a time when a startup offering free lunch or a monthly massage was noteworthy. Now, to get anyone to even consider your startup, you need snacks, gym memberships, Uber credit, laundry service, dogs in the office, Aeron chairs… the list goes on. It’s become an arms race that can’t be won.</p>
<p dir="ltr">Afternoon drinks at a bar literally in a pool? Ziplining through a rainforest to lunch? Working from a desk overlooking the sunset? Traveling lets us offer completely unique “perks”.</p>
<h3 dir="ltr">Different perspective</h3>
<p dir="ltr">When you drive the same route from the same apartment to the same office every day, it’s easy to get into autopilot mode. You zone out and just start just going through the motions. Being somewhere completely unfamiliar keeps you from getting into that rut.</p>
<p dir="ltr">By changing things up every few months, we’re forcing ourselves to constantly reevaluate and look at things a new way. “When we escape from the place we spend most of our time, the mind is suddenly made aware of all those errant ideas we’d previously suppressed.”<sup id="rf3-126"><a href="#fn3-126" title=" The Benefits of Vacation, Jonah Lehrer, September 2009 ">3</a></sup> People who have been immersed in a different culture are much better at creatively solving tricky problems.<sup id="rf4-126"><a href="#fn4-126" title=" Is creative a foreign concept? by William W Maddux and Adam D Galinsky ">4</a></sup></p>
<h3 dir="ltr">Slow Down Time</h3>
<p dir="ltr">Did you ever notice that the first few months at a new company somehow seemed longer than the following two years? It’s easy to roll your eyes when your parents told you how quickly life speeds up — until one day you realize that somehow you’ve been out of college twice as long as you were in it.</p>
<p dir="ltr">The more familiar the world becomes, the less information your brain writes down, and the more quickly time seems to pass. If we perceive time more slowly when we’re processing the unfamiliar, than the frequent introduction of the unfamiliar could help our perception of time from rapidly shrinking. (The <a href="http://lifehacker.com/5802583/why-new-experiences-are-important-and-positively-affect-your-perception-of-time">whole article</a> by LifeHacker is worth a read, especially if you’re freaking out about the Hyperloop-esque speed at which time is flying by you.)</p>
<p dir="ltr">Studies have also shown that experiencing awe can have a similar effect:</p>
<blockquote>
<p dir="ltr">“Experiencing awe heightens people’s focus on the present,” says Ms. Rudd, the lead author of the study. When you are more conscious of the present moment, you “feel that your experiences are fuller, that more can happen or be accomplished during a period of time.”<sup id="rf5-126"><a href="#fn5-126" title=" The experience of awe can slow down perceived time in people’s lives by  Emily Esfahani Smith ">5</a></sup></p>
</blockquote>
<p dir="ltr">We obviously can’t actually slow time down, but we can do the next best thing: trick our brains into perceiving it differently through new experiences.</p>
<h3 dir="ltr">Discovering new problems</h3>
<p dir="ltr">We aren’t going to Costa Rica with the sole intent of finding a problem that needs to be solved. We know what we’re doing for the first few rounds. However, we’re hoping that while we’re there, we’ll slowly start discovering real problems that need to be fixed.</p>
<p dir="ltr">In Silicon Valley, we’re all experiencing the same problems. We all drive on the same roads, eat at the same restaurants and live in the same neighborhoods. So when we decide to solve a problem — we’re all solving the same ones. And when those problems are solved, we’re stuck solving psuedo-problems because the obvious ones are already taken.</p>
<h3 dir="ltr">And that’s why!</h3>
<p dir="ltr">There’s a lot of great things we lose out on by leaving the valley for three months. However, traveling is a culture hack that lets us build the type of company we set out to create.</p>
<p dir="ltr"><em>(Oh, and we’re still hiring — so if this sounds exciting, <a href="http://phileasandfogg.com/apply">you should apply</a>! Applications are due by Sunday at 11:59pm.)</em></p>
<p dir="ltr">As they say in Costa Rica… <em>¡pura vida!</em></p>
<hr class="footnotes"/><ol class="footnotes"><li id="fn1-126"><p> <a href="http://en.wikipedia.org/wiki/Anekdote_zur_Senkung_der_Arbeitsmoral">Anekdote zur Senkung der Arbeitsmoral by Heinrich Boll</a>  <a href="#rf1-126" class="backlink" title="Jump back to footnote 1 in the text.">↩</a></p></li><li id="fn2-126"><p> <a href="http://www.paulgraham.com/makersschedule.html">Maker’s Schedule, Manager’s Schedule</a> by Paul Graham, July 2009  <a href="#rf2-126" class="backlink" title="Jump back to footnote 2 in the text.">↩</a></p></li><li id="fn3-126"><p> <a href="http://www.theatlantic.com/daily-dish/archive/2009/09/the-benefits-of-vacation/196905/">The Benefits of Vacation</a>, Jonah Lehrer, September 2009  <a href="#rf3-126" class="backlink" title="Jump back to footnote 3 in the text.">↩</a></p></li><li id="fn4-126"><p> <a href="http://www.tamilsydney.com/content/view/105/37/">Is creative a foreign concept?</a> by William W Maddux and Adam D Galinsky  <a href="#rf4-126" class="backlink" title="Jump back to footnote 4 in the text.">↩</a></p></li><li id="fn5-126"><p> <a href="http://www.washingtontimes.com/news/2012/oct/23/as-anyone-trying-to-juggle-a-career-family-and-sle/#ixzz2dIsM8HcH">The experience of awe can slow down perceived time in people’s lives</a> by  Emily Esfahani Smith  <a href="#rf5-126" class="backlink" title="Jump back to footnote 5 in the text.">↩</a></p></li></ol>

