title: Partage | ABRUPT éditions
url: https://abrupt.ch/partage/
hash_url: 2623ad615200612902d1fa654b6f0b4a

<p>Nos ouvrages se dissimulent derrière les abréviations <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/legalcode.fr">CC-BY-NC-SA 4.0</a>, en d’autres termes, ils sont mis à disposition selon les termes de la Licence Creative Commons Attribution – Pas d’Utilisation Commerciale – Partage dans les Mêmes Conditions 4.0 International.</p>

<p>Derrière ces absconses appellations, se terre à son tour une volonté tout aussi absconse, celle de faire un pas de côté par rapport à la sacro-sainte propriété intellectuelle. Licence libre, licence ouverte, licence de libre diffusion, <em>free software</em>, <em>open source</em>, <em>open data</em>, <em>open access</em>, l’accès libre, données et sources ouvertes, <em>copyleft</em> ou gauche d’auteur, des <em>commons</em> aux communs, et la culture libre, et l’art libre, et les vocables qui flottent insensément, ivres de leur pouvoir métamorphique. L’orthodoxie ergote autour de sa grammaire, mais nous ne croyons déjà plus à la grammaire, à l’oubli des idéologies qui corrodent toute liberté lorsqu’elle se place sous l’égide propriétaire, implacable, celle des maîtres.</p>

<p>Nous choisissons sans illusions. Nous usons d’une licence de libre diffusion pour tenter humblement de faire brèche dans ce qui limite la liberté de l’information, tout du moins de créer une parallaxe aussi faible soit-elle afin d’interroger l’établi.</p>

<p>Cela signifie concrètement que les ouvrages que nous diffusons peuvent être partagés, par tous moyens et sous tous formats, et être transformés librement, si aucun usage commercial n’a lieu, s’ils sont crédités, et enfin s’ils sont partagés dans les mêmes conditions. Aucune restriction complémentaire ne peut leur être imposée. Un résumé explicatif plus détaillé figure sur <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/deed.fr">le site de la fondation Creative Commons</a>.</p>

<p>Nous croyons en la liberté de l’information comme vecteur de transformation sociale, mais nous sommes également conscients des effets négatifs qui peuvent être conséquents des licences libres. Nous imposons donc une restriction commerciale, raison que nous qualifions de pragmatisme combattant. L’expression semble factieuse, mais elle véhicule simplement le souhait d’assurer une liberté de l’information dans un milieu économique où elle est en grande partie absente.</p>

<p>Cette liberté doit rejoindre, selon nos exigences, un principe trop souvent délaissé par les réflexions autour des licences libres, la gratuité. La langue anglaise crée une confusion dans l’adjectif <em>free</em> à laquelle nous nous revendiquons : à la fois libre, à la fois gratuit.</p>

<p>Entre offrir la liberté et offrir la gratuité, nous ne choisissons pas, mais nous nous assurons d’abord d’établir la gratuité de l’information. La liberté demeure un luxe abstrait pour qui ne peut disposer du réel. Sans la gratuité, en notre société, s’aliène toute idée de liberté. C’est le principe que nous suivons avec la mise à disposition gratuite de nos <a href="/antilivre">antilivres</a>, tout en conservant parallèlement d’autres formes plus classiques. Ces dernières sont affublées d’un prix, puisque les usages tant du livre papier que du livre numérique l’imposent. Nous nous conformons de la sorte quelque peu au milieu, et assurons par là une source de revenus, malgré notre préférence pour <a href="/organisation">une économie du don liée à nos antilivres</a>.</p>

<p>Notre idéalisme doit se faire à l’époque dans l’espoir de la transformer. Nous avons connaissance du temps long de l’économie du livre, de la présence imbriquée de ses intermédiaires, des pratiques du milieu littéraire et des attitudes trop souvent boutiquières de ses acteurs, mais nous avons surtout connaissance de la méconnaissance des lecteurs quant à toutes ces questions relatives au livre, à son économie, à son existence numérique et à sa diffusion. En écrivant ainsi « NC » dans notre licence, nous raturons « Non au Capital ». À travers cette vulgarité poussiéreuse, nous voulons éviter les usages de nos contemporains qui se servent de la propriété intellectuelle soit pour maintenir une situation passéiste autour de l’usage classique du droit d’auteur, soit pour assurer une certaine fluidité du marché, volontairement ou non, par l’entremise des licences libres.</p>

<p>Nous nous écartons de l’usité <em>copyleft</em> en le déformant, et notre choix du pragmatisme combattant trouve toute sa dimension dans notre interprétation adaptative de la licence de libre diffusion CC-BY-NC-SA citée ci-dessus.</p>

<p>Nous levons par principe gratuitement la restriction commerciale pour toute œuvre dérivée produite à partir d’une œuvre que nous publions, si cette œuvre use à son tour d’une licence de libre diffusion faisant barrage à notre société mercantile. Cette lecture adaptative vise à contenir les usages économiques qui nous semblent néfastes, tout en offrant la possibilité à un autre créateur de produire une œuvre dérivée dont il pourra disposer commercialement.</p>

<p>Il s’agit d’un accord de principe de notre part, en tant qu’éditeur, mais qui est conditionné à l’accord du créateur de l’œuvre. Nous nous vouons à produire et à promouvoir des œuvres qui tentent d’avoir une portée artistique et intellectuelle ; ces œuvres se lient intimement à leur créateur, et il nous semble naturel de leur laisser le dernier mot. Certains grognent plus ou moins intensément, leur allure est souvent obscure, mais ils ont la bienveillance qui flamboie en leur regard.</p>

<p>La conséquence de cette utilisation au scalpel du droit d’auteur, avec cette belle contingence qui a les grands airs de la tyrannie, se trouve être étrangement la socialité. Le fait d’amener le créateur d’une œuvre dérivée à nous contacter pour montrer patte blanche et obtenir blanc-seing de l’auteur originel — si cette notion d’origine a un quelconque sens dans l’histoire humaine — construit du lien. Se tissent des connexions horizontales entre les différentes volontés créatrices qui dérivent les unes des autres, et une effervescence collective devient alors possible.</p>

<p>Et pour les quelques auteurs qui ont l’extravagance de vouloir s’égarer de leur vivant dans le domaine public, qui n’en ont que faire des agitations de quelconques margoulins, qui vivent hallucinés en parallèle du monde, qui glorifient le partage et la dérive, nous louons leur geste sacrificiel et les accompagnons joyeux en leurs facéties, car nous souhaitons secrètement la généralisation du domaine public au monde. En somme, il y aura là d’autres absconses appellations, plus simples cette fois, CC0, entendre ici <a href="https://creativecommons.org/publicdomain/zero/1.0/legalcode.fr">Creative Commons Zero</a>, le domaine public volontaire.</p>
