title: The Nightmare Letter: A Subject Access Request under GDPR
url: https://www.linkedin.com/pulse/nightmare-letter-subject-access-request-under-gdpr-karbaliotis/
hash_url: 2c10988ef2ea5cc5def0aaf79691472e

<p>I had drafted a letter a few years ago detailing the worst kind of personal information access request that a Canadian company could receive under PIPEDA. I thought it might be useful to update that as a subject access request under GDPR, and present it as a worst-case situation (with thanks to Paul Breitbarth for reviewing this and offering some insights from a regulator's point of view). You might simply use this to make a case to your organization about what it could potentially receive. </p>
<p>A more interesting use would be to use this letter for a table-top exercise, similar to those used for data breaches, to see how your organization would respond. It might be very entertaining to have this kind of letter actually sent by a friendly party to your own organization to see exactly how it would be responded to - would the privacy office get alerted? How would the organization respond to someone knowledgeable about both the law and the technologies being used to support data management? Edit as appropriate to create the nightmare of your choosing. A future installment will address the nightmare of rectification, erasure and portability :-).</p>
<p><em>The nightmare letter:</em></p>
<p>Dear Sir/Madam:</p>
<p>I am writing to you in your capacity as data protection officer for your company. I am a customer of yours, and in light of recent events, I am making this request for access to personal data pursuant to Article 15 of the <em>General Data Protection Regulation</em>. I am concerned that your company’s information practices may be putting my personal information at undue risk of exposure or in fact has breached its obligation to safeguard my personal information pursuant to &lt;latest nasty cybersecurity event or thing in the news&gt;.</p>
<p>I am including a copy of documentation necessary to verify my identity. If you require further information, please contact me at my address above.</p>
<p>I would like you to be aware at the outset, that I anticipate reply to my request within one month as required under Article 12, failing which I will be forwarding my inquiry with a letter of complaint to the &lt;appropriate data protection authority&gt;.</p>
<p>Please advise as to the following:</p>
<p>1.   Please confirm to me whether or not my personal data is being processed. If it is, please provide me with the categories of personal data you have about me in your files and databases. </p>
<p>a.   In particular, please tell me what you know about me in your information systems, whether or not contained in databases, and including e-mail, documents on your networks, or voice or other media that you may store. </p>
<p>b.   Additionally, please advise me in which countries my personal data is stored, or accessible from. In case you make use of cloud services to store or process my data, please include the countries in which the servers are located where my data are or were (in the past 12 months) stored.</p>
<p>c.   Please provide me with a copy of, or access to, my personal data that you have or are processing. </p>
<p>2.   Please provide me with a detailed accounting of the specific uses that you have made, are making, or will be making of my personal data.</p>
<p>3.   Please provide a list of all third parties with whom you have (or may have) shared my personal data. </p>
<p>a.   If you cannot identify with certainty the specific third parties to whom you have disclosed my personal data, please provide a list of third parties to whom you may have disclosed my personal data. </p>
<p>b.   Please also identify which jurisdictions that you have identified in 1(b) above that these third parties with whom you have or may have shared my personal data, from which these third parties have stored or can access my personal data. Please also provide insight in the legal grounds for transferring my personal data to these jurisdictions. Where you have done so, or are doing so, on the basis of appropriate safeguards, please provide a copy.</p>
<p>c.   Additionally, I would like to know what safeguards have been put in place in relation to these third parties that you have identified in relation to the transfer of my personal data.</p>
<p>4.   Please advise how long you store my personal data, and if retention is based upon the category of personal data, please identify how long each category is retained.</p>
<p>5.   If you are additionally collecting personal data about me from any source other than me, please provide me with all information about their source, as referred to in Article 14 of the GDPR.</p>
<p>6.   If you are making automated decisions about me, including profiling, whether or not on the basis of Article 22 of the GDPR, please provide me with information concerning the basis for the logic in making such automated decisions, and the significance and consequences of such processing.</p>
<p>7.   I would like to know whether or not my personal data has been disclosed inadvertently by your company in the past, or as a result of a security or privacy breach.</p>
<p>a.   If so, please advise as to the following details of each and any such breach:</p>
<p>                   i.    a general description of what occurred;</p>
<p>                   ii.    the date and time of the breach (or the best possible estimate);</p>
<p>                   iii.    the date and time the breach was discovered;</p>
<p>                   iv.    the source of the breach (either your own organization, or a third party to whom you have transferred my personal data);</p>
<p>                    v.    details of my personal data that was disclosed;</p>
<p>                    vi.    your company’s assessment of the risk of harm to myself, as a result of the breach;</p>
<p>                    vii.    a description of the measures taken or that will be taken to prevent further unauthorized access to my personal data;</p>
<p>                    viii.    contact information so that I can obtain more information and assistance in relation to such a breach, and</p>
<p>                     ix.    information and advice on what I can do to protect myself against any harms, including identity theft and fraud.</p>
<p>b.   If you are not able to state with any certainty whether such an exposure has taken place, through the use of appropriate technologies, please advise what mitigating steps you have taken, such as</p>
<p>                      i.    Encryption of my personal data;</p>
<p>                      ii.    Data minimization strategies; or,</p>
<p>                      iii.    Anonymization or pseudonymization;</p>
<p>                      iv.    Any other means</p>
<p>8.   I would like to know your information policies and standards that you follow in relation to the safeguarding of my personal data, such as whether you adhere to ISO27001 for information security, and more particularly, your practices in relation to the following:</p>
<p>a.   Please inform me whether you have backed up my personal data to tape, disk or other media, and where it is stored and how it is secured, including what steps you have taken to protect my personal data from loss or theft, and whether this includes encryption.</p>
<p>b.   Please also advise whether you have in place any technology which allows you with reasonable certainty to know whether or not my personal data has been disclosed, including but not limited to the following:</p>
<p>                     i.    Intrusion detection systems;</p>
<p>                     ii.    Firewall technologies;</p>
<p>                     iii.    Access and identity management technologies;</p>
<p>                     iv.    Database audit and/or security tools; or,</p>
<p>                     v.    Behavioural analysis tools, log analysis tools, or audit tools;</p>
<p>9.   In regards to employees and contractors, please advise as to the following: </p>
<p>a.   What technologies or business procedures do you have to ensure that individuals within your organization will be monitored to ensure that they do not deliberately or inadvertently disclose personal data outside your company, through e-mail, web-mail or instant messaging, or otherwise.</p>
<p>b.   Have you had had any circumstances in which employees or contractors have been dismissed, and/or been charged under criminal laws for accessing my personal data inappropriately, or if you are unable to determine this, of any customers, in the past twelve months.</p>
<p>c.   Please advise as to what training and awareness measures you have taken in order to ensure that employees and contractors are accessing and processing my personal data in conformity with the <em>General Data Protection Regulation</em>.</p>
<p>Yours Sincerely,</p>
<p>I. Rate</p>
