title: Open Source Micro-purchasing: An experiment in federal acquisition
url: https://18f.gsa.gov/2015/10/13/open-source-micropurchasing/
hash_url: 6f1b0b82d32cfefa87cc415a3df420a7

<p>18F is <a href="https://github.com/18F/open-source-policy/blob/master/policy.md">an open-source team</a>. We currently have hundreds of <a href="https://github.com/18f">publicly available repositories</a>, with dozens under active development. We've had numerous contributions from colleagues within government, and contributions from members of the public. But in the next few weeks, we are going to run an experiment: we want to <em>contract</em> for contributions. And we want to do it the 18F way.</p>

<h2 id="what's-the-experiment?">What's the experiment?</h2>

<p>Specifically, we’re going to use our "micro-purchase" authority. Like all federal agencies, 18F has the ability to use a "purchase card" to directly buy products and services, as long as the price does not exceed $3,500. We've actually <a href="https://18f.gsa.gov/2015/08/06/communicart-tool-will-streamline-purchase-card-process/">written about this authority before</a>, and we're <a href="https://18f.gsa.gov/dashboard/project/C2/">currently building a product</a> to help agencies use that micro-purchase authority more effectively. But as far as we can tell, no one has ever used the micro-purchase authority to buy code. And we'd like to try it.</p>

<h2 id="why-do-it?">Why do it?</h2>

<p>There are several reasons we’re trying this experiment. But perhaps the most important reason is this: we want another reason for our partner agencies to support open source code. We've long known at 18F that opening our source code from day one improves our ability to deliver. But we want to show that opening our source code improves our ability to contract for digital services. We also want to see whether this is a sustainable way to engage small businesses and non-traditional contractors in the government space.</p>

<p><img src="https://18f.gsa.gov/assets/blog/calc-announcement/calc_demo.gif" alt="An animation of how the CALC tool works"/>
<em>A demonstration of our CALC tool, which we will use for this micro-purchase experiment.</em></p>

<h2 id="how-will-it-work?">How will it work?</h2>

<p>On Monday, October 26, we will tag a GitHub issue in the <a href="https://github.com/18F/calc">CALC repository</a> with a "micro-purchase" tag. In the issue, we'll specify the acceptance criteria and a closing time. At that moment, the opening "bid" would be $3499, and companies would then have the ability to bid down the price. Whoever has the lowest bid at the closing time will have 10 working days to ship the code necessary to satisfy the criteria. If the criteria are met, the vendor gets paid. It's that easy. If the criteria aren't met, the next lowest bidder gets 10 working days to ship the code. In order to make this work, we will provide acceptance criteria, instead of requirements. This limits the possibility of misinterpretation and ensures the quality of delivery.</p>

<h2 id="who-can-participate?">Who can participate?</h2>

<p>For the first iteration of this experiment, we’ve made a decision to limit eligibility to companies that are registered on <a href="https://sam.gov">SAM.gov</a> at the time of bid. Eventually, if the experiment works, we may look to expand beyond registered companies. But, if you're not in SAM.gov and you want to participate, go ahead and register. It's free, but it takes some time and effort. We're going to wait two weeks before running the experiment to give interested companies a chance to register.</p>

<h2 id="this-might-be-a-terrible-idea.">This might be a terrible idea.</h2>

<p>It’s true; this might be a terrible idea. But at 18F, we're committed to experimentation, and we want to see what happens. Our hypothesis is that vendors can ship great code under the micro-purchase threshold, and we see opportunity to use procurement authority in new and productive ways. We'll try it and see what happens. If it works, that would be <em>fantastic</em>. If it doesn’t, it'll be an inexpensive experiment and we will have learned some new things.</p>

<p>This only has a chance of working if great vendors participate. So, vendors, please watch out for the micro-purchase issue and get ready to ship.</p>
