title: Destination: Everywhere
url: http://whoo.ps/2015/04/24/destination-everywhere
hash_url: 700a9a931b325392e06f09d5a2e37741

<p>Usually the first thing you do when you have an idea for a product or company is to register the domain. Because the web came before social networks and mobile, the conventional wisdom is that you need a website to serve as the canonical destination for whatever you’re peddling. The website is head of the beast, so to speak.</p>

<p>This is still true in spite of <a href="http://www.eugenewei.com/blog/2015/4/6/tech-miscellany">the decline of the web</a>, <a href="http://whoo.ps/2014/04/10/double-u-double-u-double-u">the poor aesthetics of URL’s</a>, the existence of App Store pages that are more important for conversion purposes than your website, <a href="https://blog.shareaholic.com/social-media-traffic-trends-01-2015/">the primacy of social</a>, <a href="http://techcrunch.com/2015/04/22/facebook-voip-not-facebook-phone/#.1ezxla:24fH">the astronomical rise of messaging</a>, and <a href="http://www.theatlantic.com/business/archive/2014/05/what-the-death-the-homepage-means-for-news/370997/">the death of the homepage</a>. </p>

<p>The <em>homepage</em>. It sounds so quaint now, doesn’t it? If you’re a media outlet launching today, is your "homepage" even a top priority? If a majority of traffic is coming from referrals on social networks, such that the majority of your visitors are arriving and then departing from singular <em>links</em>, in what sense is your homepage really your <em>home</em>?</p>

<p>On today’s internet, there is no home. You probably have a website, but you might also have two to four apps (iOS, Android, and then phone and tablet), and accounts on Facebook (and Messenger), Twitter, Snapchat, Pinterest and Instagram). And the Internet is now so big and so fragmented that you could easily build a business on one platform while ignoring the rest. <a href="https://web.archive.org/web/20120103092009/http://instagram.com/">Instagram initially proved</a> that by going mobile app only and ignoring the web for years. </p>

<p>More recently, one new media venture has opted to forgo both the web <em>and</em> native mobile apps, instead publishing on <a href="http://www.nytimes.com/2015/04/19/magazine/instagrams-tmz.html?_r=0">Instagram only</a>. The most profitable outfit in entertainment these days is a woman who <a href="http://www.buzzfeed.com/hillaryreinsberg/youtubes-biggest-star-is-an-unknown-toy-reviewing-toddler-wh#.uaDM6kD7Z">only publishes YouTube videos</a>. One new retail outfit is ignoring virtually all of the above and going <a href="http://www.businessinsider.com/what-is-stefans-head-2015-4?op=1">SMS only</a>. What might be <a href="http://www.techvibes.com/blog/madwhips-leverages-social-media-to-become-global-brand-2015-02-05">the fastest-growing automotive social network in the world</a> has 200K Facebook fans and 500K Instagram followers, yet their website traffic <a href="https://siteanalytics.compete.com/madwhips.com/#.VTkMtq1VhBc">barely registers</a> and have <a href="https://www.appannie.com/apps/ios/app/828490902/rank-history/#vtype=day&amp;countries=US&amp;start=2014-03-17&amp;end=2015-04-23&amp;device=iphone&amp;view=rank&amp;lm=1">no App Store rankings to speak of</a>. Buzzfeed has dedicated staff who create content that <a href="http://www.niemanlab.org/2015/03/a-wave-of-distributed-content-is-coming-will-publishers-sink-or-swim/"><em>will never appear on any Buzzfeed owned property</em></a>.</p>

<p>These companies are relatively new outfits, and all but Buzzfeed are still small. But what about big, established brands today? If you’re a media outlet like the New York Times, and attention is being sucked up by Facebook, Twitter, Instagram, Pinterest, and Snapchat while your homepage has lost 50% of its traffic in two years, what do you do? </p>

<p><span class="img-border"><img src="http://cdn.theatlantic.com/assets/media/img/posts/nythomepage.png" alt="New York Times Homepage Decline"/></span>
<span class="caption">The New York Times lost half of its homepage visitors between 2011 and 2013. <a href="http://www.theatlantic.com/business/archive/2014/05/what-the-death-the-homepage-means-for-news/370997/">Source</a>.</span></p>

<p>Do you sail into the wind and develop a bevy of web experiences and <a href="https://itunes.apple.com/us/artist/the-new-york-times-company/id284862086">eight apps for iOS alone</a>? How do you even compete as a Canonical Destination publisher when <a href="http://www.eugenewei.com/blog/2015/3/27/facebook-doesnt-change-things-the-world-already-changed">all the best tech minds</a> are working for Facebook's of the world? </p>

<p>Or do you sail with the wind and start publishing directly to the social networks? This means that you’ve lost control of your destiny as a publisher, but is that such a bad thing? Consider that news organizations have historically been publishers because, pre-internet, how else were people going to read your stuff if you didn’t print and distribute it yourself? Meanwhile, the upshot of forgoing your role as publisher is that you’ve hopefully solidified your role as a content creator and curator. Maybe you exist and hopefully thrive as <a href="http://tomcritchlow.com/2015/04/15/decentralized-brands/">a decentralized brand</a> which, when displayed as an avatar alongside your content, conveys a level of trust and gravitas that no other avatar can convey?</p>

<p><a href="https://s3.amazonaws.com/whoops-images/images/destinationeverywhere/nytimes.png" target="_blank"><span class="img-border"><img alt="The New York Times Homepage" src="https://s3.amazonaws.com/whoops-images/images/destinationeverywhere/nytimes.png"/></span></a></p>

<p><span class="caption">The evolution of media?</span></p>

<p>And what if you’re a retail brand like Banana Republic that doesn’t want to lose all internet shoppers to retailers that are <a href="https://neededition.com/">internet natives</a>? Do you stay the course with <a href="https://itunes.apple.com/us/app/br/id342797197?mt=8">your poorly rated app</a>, crusty email newsletters, <a href="http://www.amazon.com/s/ref=bl_sr_apparel?ie=UTF8&amp;field-brandtextbin=Banana+Republic&amp;node=7141123011">your store on Amazon</a>, and the hope that people will always be willing to type banana republic dot com into their mobile browser? </p>

<p>Or do you make make the same move as the New York Times and accept the <a href="http://whoo.ps/2015/03/31/a-case-of-mistaken-incumbency">networks’ bargain</a>? That is, "You do what you do best—be it media or retail design and manufacturing—and we’ll do what we do best—publishing, distribution, and soon merchandising and retail." </p>

<p><span class="img-border"><img src="http://2yj23r14cytosbxol4cavq337g.wpengine.netdna-cdn.com/wp-content/uploads/2014/10/photo-5-600x444.jpg" alt="The Publishers Smiling Curve"/></span></p>

<p><span class="caption">Ben Thompson’s Smiling Curve of Publishing. <a href="http://stratechery.com/2014/publishers-smiling-curve/">Source</a>.</span></p>

<p>That sounds like an odd deal for retailers but it’s identical to Amazon’s proposition. Think about it: If you wanted to buy a Banana Republic shirt, doesn’t the convenience of Amazon, or <a href="https://messenger.com/business">maybe soon Facebook Messenger</a>, often trump navigating an unfamiliar BananaRepublic.com or Banana Republic app and then entering your credit card details anew?</p>

<p>While all of this <a href="http://fusion.net/story/108799/how-facebook-could-kill-the-news-brand/">seems dire</a> if you’re a brand trying to maintain its independence, consider that "aitch tee tee pee colon backslash backslash double u double u double u dot banana republic dot com" probably didn’t seem so great for branding in the early days of the web, yet it soon came to represent as canonical a destination for the brand as the brick-and-mortar store. In the next few years, maybe the homepage diminishes in importance, and maybe it’s unfortunate that instead of having some canonical destination — be it a website, an app, or whatever—you’re now being foisted onto closed, proprietary silos like Facebook et al. </p>

<p>But maybe if you’ve got a strong brand, like The New York Times, The New Yorker, The Economist, Victoria Secret, American Apparel, or Lululemon, you’re well suited to thrive in an environment that the social networks foster so well: Identity, curation, and tastemaking. After all, that’s exactly what a brand is: A collection of ideas and feelings that travel with you even when the brand is not in sight, and come rushing to the fore as soon as the trademark comes into view. </p>

<p>You could look at it as a mere reorganization of namespacing. Whereas the homepage once conferred some sense of reaching your canonical destination, it’s now your name on Facebook, Instagram, Twitter, Amazon etc.  that consumers are searching for. And so long as we have trademark law, owning your name and trademark might just be all you need to be everywhere and anywhere.</p>

<hr/>

<h3><span>Additional Reading</span></h3>

<p><em>The ideas in this post were rattling around my head until I read Tom Critchlow’s <a href="http://tomcritchlow.com/2015/04/15/decentralized-brands/">Decentralized Brands &amp; The Future of Content Marketing</a>. This post was largely inspired by his; so much so that I lifted all of his examples and sources.</em></p>
