title: La logique de l'autoritarisme
url: http://blog.nkb.fr/la-logique-de-l-autoritarisme/
hash_url: 70679821cf5c75ed84865000c04c8694

<p>Les attentats du 13 novembre 2015 ont été menés par un groupe communiquant sans chiffrement après que leur coordinateur a annoncé l'attaque en février dans un magazine de Daesh<sup><a href="#notes">[1]</a></sup>. Un service de renseignement efficace aurait dû lire <em>Dabiq</em>, le magazine en question, et placer le téléphone d'Abaaoud, le coordinateur, sous écoute. Ils ne l'ont pas fait.</p>

<p>Après les attentats, la <em>seule</em> chose à faire pour le gouvernement était d'exiger la démission des personnes responsables de ce “naufrage historique”<sup><a href="#notes">[2]</a></sup> des services de renseignement. Il ne l'a pas fait.</p>

<h2>La France, pays autoritaire</h2>

<p>Au contraire, le gouvernement français a fait basculer le pays sous un régime autoritaire. La privation de liberté d'au moins six militants écologistes<sup><a href="#notes">[3]</a></sup> a un nom, celui de prisonniers politiques. Ce n'est pas une exagération que d'utiliser ce mot - prisonnier politique ou prisonnier d'opinion - c'est juste la définition du concept, celui d'une privation de liberté pour une action politique. La suspension, annoncée officiellement par le gouvernement, de la Convention des Droits de l'Homme<sup><a href="#notes">[4]</a></sup> montre sa volonté de ne plus respecter les libertés fondamentales. Plus grave, le gouvernement souffle sur les braises du nationalisme en organisant un concours lors duquel les citoyens étaient invités à montrer à leurs proches la sincérité de leur attachement au drapeau français<sup><a href="#notes">[5]</a></sup>. C'est la première fois en Europe occidentale depuis 1945 que le gouvernement lui-même cherche à légitimer une politique par le nationalisme.</p>

<p>Le résultat - nul - des centaines de perquisitions menées par la police depuis le 13 novembre montre que le déploiement de forces n'était pas nécessaire<sup><a href="#notes">[6]</a></sup>. Des actes de terrorisme de gravité équivalente ont lieu régulièrement en Europe: Londres en 2004, Madrid en 2005, Oslo en 2011. Aucun des gouvernements touchés n'a réagi en supprimant les libertés fondamentales. La crise la plus similaire à l'hystérie française de 2015 est l'<em>Automne Allemand</em> de 1977. A cette époque, un groupe contrôlé depuis l'étranger, aux revendications politiques extrémistes, a mené plusieurs opérations terroristes visant à la fois des cibles symboliques et des cibles “civiles”. Malgré une volonté martiale, les autorités de la RFA n'ont à aucun moment décrété l'état d'urgence<sup><a href="#notes">[7]</a></sup>.</p>

<p>Enfin, le gouvernement a annoncé que l'état d'urgence pourrait être reconduit au delà de 3 mois<sup><a href="#notes">[8]</a></sup>. C'est là encore une nouveauté dans l'Europe de l'après-guerre. Une telle déclaration n'a rien à voir avec l'existence d'une menace. Elle n'est là que pour signifier aux administrés que des actes de résistance pourraient leur coûter très cher. On peut se permettre de risquer une assignation à résidence de quelques semaines. Sur plusieurs mois, c'est la destruction assurée de toute relation professionnelle et personnelle. Les parlementaires sont eux aussi avertis: Le gouvernement fait courir une rumeur comme quoi la carrière des opposants à l'état d'urgence est d'ores et déjà terminée<sup><a href="#notes">[9]</a></sup>.</p>

<p>Déploiement de forces inutile, nationalisme instrumentalisé par le gouvernement, suspension des droits fondamentaux et menaces: ce sont les signes d'un régime autoritaire. On peut imaginer que l'état de droit revienne rapidement. La logique de l'autoritarisme montre que ce ne sera pas si simple.</p>

<h2>Comment en est-on arrivé là?</h2>

<p>Les attentats n'ont joué qu'un rôle de déclencheur dans la mise en place de l'autoritarisme. Le gouvernement français aurait tout à fait pu se comporter comme le gouvernement norvégien en 2011 et affirmer son attachement à l'état de droit et aux droits fondamentaux tout en cherchant à comprendre comment l'attentat avait pu se produire.</p>

<p>Le corps politique français utilise les attentats du 13 novembre pour légitimer son pouvoir. La stratégie économique du gouvernement n'a pas fonctionné (le chômage augmente) et aucune de ses autres actions ne s'est soldée par une victoire concrète (ses actions militaires à l'étranger et sa politique sociale n'ont pas recueilli d'adhésion particulière). La défense des citoyens contre une menace - quelle qu'en soit la nature - devient naturellement le dernier moyen de légitimation disponible.</p>

<p>La stratégie économique du gouvernement n'a pas fonctionné car le corps politique s'est lui-même ôté la possibilité d'agir sur les leviers économiques. L'alliance de nombreux politiciens avec des industriels a fait naître des politiques économiques débilitantes, haïes de la majeure partie de la population. Cette alliance est logique.</p>

<p>Imaginez-vous ministre. Vous avez 65 ans et un train de vie que vous ne pourrez pas entretenir avec votre retraite. Une entreprise pétrolière vous propose un contrat de consulting qui vous fera gagner €200,000 par an pour 5 heures de travail hebdomadaire. Que décidez vous? Allez-vous pousser une législation contraignante sur la pollution? Et même si vous le faites (votre probité vous honore), comment pourrez-vous travailler si vos collègues ou vos chefs ont fait le choix inverse?<sup><a href="#notes">[10]</a></sup></p>

<p>Seules des convictions hors du commun permettraient de briser cet état de fait et mener des politiques économiques adéquates. Seul hic: la stagnation qui dure en Europe depuis six ans est surtout l'expression du retournement démographique. Avec une population active qui diminue et une population de pensionnés qui augmente, le niveau de vie doit nécessairement baisser, à moins d'augmenter la productivité de manière extraordinaire ou de recourir massivement à l'immigration. Naturellement, les politiques publiques depuis les années 1980 se sont attellées à tenter la première solution avec des résultats désastreux. Personne ne s'est fait l'avocat de la seconde.</p>

<p>Conserver ou obtenir le pouvoir lorsque le niveau de vie diminue nécessite de trouver un bouc émissaire. Les partis républicains s'en sont pris à l'Europe ou à la mondialisation depuis les années 1990 sans convaincre personne. Les partis d'extrême-droite ont choisi les musulmans avec un succès sans cesse grandissant, au point qu'ils ont pris le pouvoir dans certains pays et s'apprêtent à le faire dans certaines régions de France.</p>

<p>Imaginez-vous maintenant sous-préfet dans la Somme. Vous avez deux enfants handicapés et des dettes. Allez-vous lutter de toutes vos forces contre un parti anti-républicain qui risque d'arriver au pouvoir? Ou bien allez vous discrètement effacer les traces de votre engagement anti-fasciste pour éviter de vous faire écarter en cas d'une prise du pouvoir par l'extrême-droite? Depuis plusieurs années, des diplômés de l'école d'administration rejoignent le Front National car ils savent que c'est le parti où il sera le plus facile de faire carrière. Depuis quelques semaines, les organismes financés par les régions où le Front National est le plus fort changent leur discours, de peur de voir leurs financements supprimés lors de la prise de fonction des nouveaux présidents de région.</p>

<p>D'une part, la situation macro-économique et la corruption d'une partie de la classe politique a fait de la dénonciation des musulmans comme responsables de la diminution du niveau de vie la seule politique viable. D'autre part, des groupes politiques très organisés, au premier rang desquels le Front National, se montrent prêts à implémenter cette politique.</p>

<p>La réaction logique des personnes au pouvoir ne peut être autre que d'implémenter ladite politique avant de le perdre, ce pouvoir. Cette implémentation est le régime autoritaire en vigueur depuis le 13 novembre.</p>

<p>L'autoritarisme du gouvernement n'est pas pour autant une politique réfléchie et planifiée. Il n'y a pas eu de complot. C'est la suite de décisions prises par le président et ses ministres, face à un mouvement réactionnaire très puissant, qui a forcé des élus PS à se convertir en un gouvernement autoritaire. Après plusieurs semaines d'autoritarisme, s'en dédire reviendrait à perdre la face - et le pouvoir.</p>

<h2>Pourquoi l'autoritarisme risque de durer</h2>

<p>L'histoire du 20<sup>e</sup> siècle abonde d'exemples où des régimes démocratiques suspendent les libertés pour quelques semaines ou quelques mois (notamment en France en 1955 ou en 1961). Des dérogations plus longues à l'état de droit ont eu lieu pour certaines parties de la population (les Noirs aux Etats-Unis jusque dans les années 1960, les musulmans suspects de terrorisme depuis 2001).</p>

<p>La situation actuelle se distingue de deux manières. D'une part, aucune alternative au gouvernement par la peur n'est proposée. L'unanimisme de la classe politique et l'acceptation par la majorité des décideurs de l'idéologie de l'extrême-droite empêche l'émergence de politiques nouvelles. La loi sur l'état d'urgence l'illustre bien: Aucun parti n'a voté contre.</p>

<p>D'autre part, aucun acteur extérieur n'est en mesure d'influencer la politique française, comme ce fut le cas lors de la guerre d'Algérie. Les pays européens sont confrontés à des degrés divers aux mêmes problèmes démographiques et économiques que la France. Au contraire, la politique par la peur et la police a été adoptée immédiatement en Belgique. Les succès de l'extrême-droite en France galvanisent les groupes réactionnaires dans des pays où ils étaient les plus minoritaires. En Allemagne, et, surtout, en Suède, l'extrême-droite influence la politique du gouvernement sans pour autant y être représentée. Le 24 novembre, après que la Suède a arrêté d'accueillir de nouveaux réfugiés, un responsable de l'ONU a Stockholm le disait ainsi: “Le dernier bastion de l'humanisme est tombé”<sup><a href="#notes">[11]</a></sup>.</p>

<h2>On fait quoi?</h2>

<p>L'installation d'un régime autoritaire en France est l'illustration d'une nouvelle période dans le combat qui oppose les Lumières à la Réaction depuis le 18<sup>e</sup> siècle<sup><a href="#notes">[11]</a></sup>. La progression des Lumières depuis 300 ans n'a rien de linéaire. Entre les révolutions de 1789 et 1848, entre 1848 et 1945, on ne compte pas les pays et les périodes où les valeurs humanistes ont disparues.</p>

<p>On peut imaginer que 2015 marque le début d'une nouvelle parenthèse réactionnaire. Même si c'est peu probable, gardez à l'esprit que les normes morales peuvent changer d'un mois, voire d'un jour à l'autre. Entre le 22 juin et le 10 juillet 1940 (19 jours), il est devenu <em>normal</em> de s'opposer à l'état de droit en France. Du 9 au 10 novembre 1989, la censure en RDA est devenue <em>anormale</em>. Un tel changement de norme pourrait tout à fait se produire en France si la police décidait de sanctionner massivement les actes de résistance au régime autoritaire<sup><a href="#notes">[13]</a></sup>.</p>

<p>Si une telle évolution se produisait, les idées des Lumières devraient être conservées dans des bibliothèques d'opposition et des “<a href="https://en.wikipedia.org/wiki/Flying_University">universités volantes</a>”. Compte-tenu de la facilité avec laquelle un gouvernement autoritaire peut censurer les services en ligne, il faut <em>aujourd'hui</em> s'assurer que les travaux à transmettre à la prochaine génération qui s'opposera à la Réaction sont disponibles hors-ligne, voire sur support physique, dans des formats ouverts.</p>

<p><a name="notes"/></p>

<h3>Notes</h3>

<ol>
<li>Sur l'absence de chiffrement dans les communications des terroristes, lire <a href="https://theintercept.com/2015/11/18/signs-point-to-unencrypted-communications-between-terror-suspects/">Signs Point to Unencrypted Communications Between Terror Suspects</a>. L'interview d'Abaaoud dans <em>Dabiq</em> est chez Gawker: <a href="http://gawker.com/paris-massacre-mastermind-bragged-about-infiltrating-eu-1743509467">Paris Massacre Mastermind Bragged About Infiltrating Europe in February Interview</a>.</li>
<li>Lire <a href="http://aboudjaffar.blog.lemonde.fr/2015/11/21/san-andreas/">Les démons sont éternels</a> chez Abou Djaffar.</li>
<li>La liste des assignés à résidence connus est <a href="https://wiki.laquadrature.net/%C3%89tat_urgence/Recensement#Assignations_.C3.A0_r.C3.A9sidence">compilée par La Quadrature du Net</a>.</li>
<li><a href="http://www.nextinpact.com/news/97474-etat-d-urgence-france-va-deroger-a-convention-europeenne-droits-l-homme.htm">État d’urgence : la France va déroger à la Convention européenne des droits de l’homme</a>. Par ailleurs, le premier Ministre français a <a href="http://www.politis.fr/Etat-d-urgence-Valls-admet-ne-pas,33107.html">publiquement fait part</a> de son intention de ne pas respecter la constitution.</li>
<li>Voir sur le site du gouvernement: <a href="http://www.gouvernement.fr/partagez-hommage-national">Attentats de Paris : participons tous à l'hommage national</a>.</li>
<li>Lire <a href="http://www.nextinpact.com/news/97437-a-ceux-qui-diffusent-chiffres-etat-durgence.htm">À ceux qui diffusent les chiffres de l'état d'urgence</a> de Marc Rees pour mieux comprendre la com' du gouvernement sur l'état d'urgence.</li>
<li>Sur ce sujet, lire <a href="http://www.bpb.de/geschichte/deutsche-geschichte/geschichte-der-raf/49296/staatliches-handeln?p=all">Der nicht erklärte Ausnahmezustand</a>.</li>
<li><a href="http://www.francetvinfo.fr/faits-divers/terrorisme/attaques-du-13-novembre-a-paris/etat-d-urgence-en-france/video-bernard-cazeneuve-n-exclut-pas-de-prolonger-l-etat-d-urgence-si-dans-trois-mois-l-evaluation-de-la-menace-est-au-meme-niveau_1193893.html">Annonce de Bernard Cazeneuve, ministre de l'intérieur, le 26 novembre 2015</a>.</li>
<li>Voir le <a href="http://lelab.europe1.fr/les-trois-deputes-ps-qui-ont-vote-contre-la-prolongation-de-letat-durgence-bientot-convoques-a-solferino-mais-apres-les-regionales-2625073">Canard Enchaîné du 25 novembre 2015</a>.</li>
<li>Gerhard Schröder avec Gazprom, Tony Blair ou Nicolas Sarkozy avec leurs conférences dans des états autoritaires ne sont que les exemples les plus flagrants de cette soumission - humaine - des politiques aux intérêts économiques.</li>
<li>Lire <a href="http://www.theguardian.com/world/2015/nov/24/sweden-asylum-seekers-refugees-policy-reversal">Sweden slams shut its open-door policy towards refugees</a>.</li>
<li>On peut évidemment choisir un cadre d'analyse psychologique ou économique. Je pense que l'opposition entre Lumière et Réaction est assez marquante et réelle. Dans <em>Billard um halb zehn</em>, Heinrich Böll parle du “Sacrement de l'Agneau” qui s'oppose au “Sacrement du Buffle”. C'est plus poétique.</li>
<li>Ce qu'elle a fait au moins une fois le 27 novembre 2015, en frappant à la porte de quelqu'un qui n'avait pas mis le bon drapeau à sa fenêtre (<a href="https://twitter.com/nighty/status/670270988475609088">source</a>).</li>
</ol>
