title: Designed in China, Assembled in California
url: https://ia.net/topics/designed-in-china-assembled-in-california
hash_url: 939435322c95d2d7036908d4b4c21ddc

<h2>As China starts outdoing us economically, technically and strategically, we are turning Chinese, slowly losing the spiritual, cultural and political texture that made us different.</h2>
<p>China’s Xi Jinping is in a good mood. He just got approved to be president for life. His country is doing better than ever:</p>
<blockquote><p>
…this is ‘the best period of development since modern times, while the world is undergoing the most profound and unprecedented changes in a century’…Xi refers to the current period as a period of unprecedented strategic opportunity for China…<sup><a href="#fn1-24511" id="fnr1-24511" title="see footnote" class="footnote">1</a></sup>
</p></blockquote>
<p>China has already outperformed the rest of the world. They sport the highest GDP, and their economy keeps growing. They own the four biggest banks in the world.<sup><a href="#fn2-24511" id="fnr2-24511" title="see footnote" class="footnote">2</a></sup></p>
<table>
<colgroup>
<col/>
<col/>
<col/>
<col/>
</colgroup>
<thead>
<tr>
<th>Rank</th>
<th>Country</th>
<th>Name</th>
<th>Assets (US$ B)</th>
</tr>
</thead>
<tbody>
<tr>
<td>1</td>
<td>China</td>
<td>Industrial and Commercial Bank of China</td>
<td>4,009.26</td>
</tr>
<tr>
<td>2</td>
<td>China</td>
<td>China Construction Bank Corporation</td>
<td>3,400.25</td>
</tr>
<tr>
<td>3</td>
<td>China</td>
<td>Agricultural Bank of China</td>
<td>3,235.65</td>
</tr>
<tr>
<td>4</td>
<td>China</td>
<td>Bank of China</td>
<td>2,991.90</td>
</tr>
<tr>
<td>5</td>
<td>Japan</td>
<td>Mitsubishi UFJ Financial Group</td>
<td>2,784.74</td>
</tr>
<tr>
<td>6</td>
<td>United States</td>
<td>JPMorgan Chase &amp; Co.</td>
<td>2,533.60</td>
</tr>
<tr>
<td>7</td>
<td>United Kingdom</td>
<td>HSBC Holdings PLC</td>
<td>2,521.77</td>
</tr>
<tr>
<td>8</td>
<td>France</td>
<td>BNP Paribas</td>
<td>2,357.07</td>
</tr>
<tr>
<td>9</td>
<td>United States</td>
<td>Bank of America</td>
<td>2,281.23</td>
</tr>
<tr>
<td>10</td>
<td>France</td>
<td>Crédit Agricole</td>
<td>2,117.16</td>
</tr>
</tbody>
</table>
<p>Unlike the US, who subsidizes 19th-century coal mining, China invested and now leads in alternative energy. They own practically all rare earth metals. They don’t have the fastest growing economy. Six out of the 10 fastest growing economies in 2018 are African states. <sup><a href="#fn3-24511" id="fnr3-24511" title="see footnote" class="footnote">3</a></sup> If you follow the news it won’t come as a surprise that China has massively invested in those six. China keeps lending money and buying vast amounts of infrastructure all over Africa. They invest and they win with class.</p>
<blockquote><p>
As the team at Ant Financial – a Chinese internet bank now bigger than Goldman Sachs – raked in $14 Billion, its CEO Eric Jing raised a cup of tea. ‘This will be the entirety of our celebration.’ <sup><a href="#fn4-24511" id="fnr4-24511" title="see footnote" class="footnote">4</a></sup>
</p></blockquote>
<p>The US still leads in information technology.<sup><a href="#fn5-24511" id="fnr5-24511" title="see footnote" class="footnote">5</a></sup> But the future may look different. Right now, Silicon Valley is just boring, the thrill has gone… to China.</p>
<blockquote><p>
China is planning to make IT as one of the seven strategic industries that will help the country become a world-class, innovation-driven, and high-tech society, moving from a cheap-labor manufacturing outsourcing.<sup><a href="#fn6-24511" id="fnr6-24511" title="see footnote" class="footnote">6</a></sup></p>
<p>All lists of private companies contain degrees of subjectivity and error, but the Wikipedia ranking of unicorn start-ups by value offers a peek into the future. Of the top 50 entries, 26 are Chinese and 16 are American. There are none from Europe. <sup><a href="#fn7-24511" id="fnr7-24511" title="see footnote" class="footnote">7</a></sup>
</p></blockquote>
<p>In 2016, STEM graduates from Chinese universities outnumbered American graduates 8:1.<sup><a href="#fn8-24511" id="fnr8-24511" title="see footnote" class="footnote">8</a></sup> Software development in China is getting more expensive than development in Japan. Meanwhile the Chinese government aggressively subsidizes data analytics, machine learning, and robotics. </p>
<blockquote><p>
“Innovation” and “entrepreneurship” have topped the Chinese government agenda since 2014 as the backbone of the national effort to shift economic development driven by manufacturing to one that is steered by innovation. The vision is rooted in “Made in China 2025” or “Industry 4.0”, capitalizing on big data analytics and robotics, as well as artificial intelligence, which Beijing has designated in a three-step national guideline, to become a global power in AI by 2030.<sup><a href="#fn9-24511" id="fnr9-24511" title="see footnote" class="footnote">9</a></sup>
</p></blockquote>
<p>Bejing, Shanghai, and Shenzen do not compete with Silicon Valley, they outlaw, outsmart, and outperform it. While the Chinese market is wisely protected from any foreign competition, Chinese tech is silently expanding into the West.<sup><a href="#fn10-24511" id="fnr10-24511" title="see footnote" class="footnote">10</a></sup></p>
<p>Chinese companies buy Western game companies and startups. “70 percent of all acquisitions of game companies since 2015 have been by Chinese buyers.”<sup><a href="#fn11-24511" id="fnr11-24511" title="see footnote" class="footnote">11</a></sup> Talking Tom was originally a Slovenian app. A Chinese chemical maker bought it for one billion dollars. Yes, a Chinese chemical maker. </p>
<blockquote><p>
A real estate magnate in Beijing bought Legendary Entertainment, the movie studio that made the Dark Knight trilogy, for $3.5 billion. A maker of construction materials bought Framestore, the company behind the special effects in the Harry Potter films. Zhejiang Dragon Pipe Manufacturing Co. acquired app developer Entertainment Game Labs. And perhaps strangest of all, Digital Extremes Ltd., which created an alien battle game, and the studio Splash Damage Ltd., which made an offshoot of the Xbox hit Gears of War, were bought by an enormous Chinese poultry processor.<sup><a href="#fn12-24511" id="fnr12-24511" title="see footnote" class="footnote">12</a></sup>
</p></blockquote>
<p>Financial engineering makes it worthwhile for regular companies to buy into Western tech corporations. If you are planning an exit, you should study how the Chinese market works. Start here:</p>
<blockquote><p>
industrial companies […] may trade at as much as 100 times their annual earnings—more than four times the multiple of General Electric Co. This means they can acquire companies at what is effectively a discount. […] Chinese companies are betting that by adding game studios that have better margins than a stodgy industrial business, their stock price will rise.<sup><a href="#fn13-24511" id="fnr13-24511" title="see footnote" class="footnote">13</a></sup>
</p></blockquote>
<p>Thanks to IT, the Chinese government is now very optimistic about its economic future. It comes in handy that the government knows everything about its citizens and companies. Their surveillance machine is omnipresent and omniscient. It’s not even a secret. They have an official point system. They call it “Social Credit System”. Depending on how well you fare helping people across the street or smoking in the right places or not, you will face consequences. If you fail: No plane tickets. No train tickets. No high-speed Internet. No credit. Your children may be blacklisted from the good schools if you don’t behave. </p>
<blockquote><p>
Imagine a world where many of your daily activities were constantly monitored and evaluated: what you buy in the shops and online; where you are at any given time; who your friends are and how you interact with them; how many hours you spend watching content or playing video games; and what bills and taxes you pay (or not). […] But now imagine a system where all these behaviours are rated as either positive or negative and distilled into a single number, according to rules set by the government. <sup><a href="#fn14-24511" id="fnr14-24511" title="see footnote" class="footnote">14</a></sup>
</p></blockquote>
<p>A system that observes everybody and conditions them to act in a certain way at any moment in time. This eliminates free will and the ability to judge for yourself. This is what we should fear. But we don’t.</p>
<h2>We are turning Chinese</h2>
<p>25 years ago, China started looking over the fence. It then slowly moved from Leninist Communism to an evenly iron form of State Capitalism. It took some time to learn and adjust. But now, with the help of information technology, for the first time in 75 years, the party finally succeeded. Everyone agrees: China is doing great. China is the future. Our future. “Capitalism has won” is so Nineties. Communism is bigger than ever. And if you are tempted to use one of your sophisticated <em>actuallys</em>, please, hold your breath for a second:</p>
<blockquote><p>
Xi’s deeply Marxist, dialectical-materialist view of history [is] based on permanently evolving “contradictions” between what dialecticians call thesis, antithesis and synthesis. In Xi’s view […] may sound like old-fashioned Marxism. That’s because it is. The intellectual software of generations of Chinese leaders has been shaped by this conceptual framework for interpreting and responding to what they define as scientific, objective reality. And Xi Jinping belongs to that tradition. Remember he has already convened special study sessions of the politburo on understanding both dialectical and historical materialism in the past. <sup><a href="#fn15-24511" id="fnr15-24511" title="see footnote" class="footnote">15</a></sup>
</p></blockquote>
<p>Now, take a second breath and try to imagine that it was not just China that had been Westernized, but that the West had been slowly turning Chinese in the meantime. Yes, there are differences. China has one Party, and the US still has two, but look at it like this: </p>
<ul>
<li>In China, the party is the law.</li>
<li>In the US, the Supreme Court votes along the party lines. The party with more Supreme Court Judges dictates right and wrong.</li>
<li>In China, policy dictates the economy.</li>
<li>In the US, economic interests dictate policy, lobbyists make laws.</li>
<li>In China, the highest party member has become president for life with near absolutist power.</li>
<li>A silver spoon Billionaire runs the US like his own business.</li>
</ul>
<p>It’s almost the same thing, but backward. Both the Chinese and the American president have an army of minions that applaud their dear leader and his 4d chess abilities, no matter what. </p>
<p>While we were wondering whether China really got Westernised, somehow, the West became more Chinese than we could ever imagine. This is not the time to point fingers. We are working on the very same projects. “Social Credit System” starts in 2020. A big part of it is already in place. </p>
<p>Somehow China’s “Social Credit System” it is not too far away for us either “because most of that already happens, thanks to all those data-collecting behemoths like Google, Facebook, and Instagram or health-tracking apps such as Fitbit.” <sup><a href="#fn16-24511" id="fnr16-24511" title="see footnote" class="footnote">16</a></sup></p>
<p>The Chinese government observes its citizens, reads their emails, tracks them on- and offline, listens to their conversations, judges and punishes them. Silicon Valley observes its users, reads our emails, tracks us online and offline, listens to our conversations. We judge and punish each other. </p>
<h2>What happened?</h2>
<p>Every <em>Like</em> button on every Website reports back to Menlo Park. You don’t need to press it. Facebook gets notified if you visit a site with a button. You don’t even need a button. There are transparent pixels, too, that do that. </p>
<p>Android, Chrome, Gmail, Google Maps, Google Photos and YouTube report everything you do back to Mountain View. Google’s original idea was to build a God. A God that knows everything. And they got close, very soon.<sup><a href="#fn17-24511" id="fnr17-24511" title="see footnote" class="footnote">17</a></sup> </p>
<p>But why? Why the hell do they observe us like criminals? What have we done? What is wrong with us? Nothing, or better: We haven’t clicked enough ads is why.</p>
<p>Amazon, Google, and Facebook have no bad intentions. Currently, they just want to know who we are and what we like. So advertisers can target us. Advertisers fuel the surveillance machine with money, we fuel it with data. It’s a fair deal. It’s everywhere. It’s normal. And it’s bizarre. </p>
<p>It’s bizarre because the last thing we want is advertisement. We oversee ads. We ignore ads. We avoid ads. We hate ads. We don’t click on ads. Nobody clicks on ads. Nobody has met anyone that clicks on ads. </p>
<p>They observe us like the Chinese government to make us finally click on those damn ads. They observe us like the Chinese government to show us the ads we like. And still, we never click on ads. It’s almost as if the <em>more</em> they observe us the <em>less</em> we click. Some psychological Quantum Mechanics must be at play. The more we feel observed the less we want to be predictable. Maybe we feel that by letting them observe us we have already paid our share. </p>
<p>Jokes aside, we don’t need Heisenberg’s uncertainty principle to explain our behavior. We don’t let Google and Facebook observe us to receive better ads. We let them observe us because we don’t care. Okay Google, observe us in our toilets, bedrooms, meetings. We have nothing to hide. We don’t build bombs. We don’t mix Anthrax. We do not conspire. Hey, Alexa, what could happen? We’re not in China. Hey Siri, it’s not like some government has access to this data. Okay, Google, the American Government has access to this data. But the US government is not China. There are differences.</p>
<p>We know that Google, Facebook, Microsoft &amp; Co. may share our data with the US government. It’s creepy. It’s chilling. But we do not resist. We are moving towards the same Black Mirror future. They walk forward, we walk backward. We think that’s just how it is.</p>
<p>And as we assimilate to the technical conditions, we become subject to the same mindset. A mindset that is cold and focused. Focused on numbers. A mindset only accepts what is measurable, weighable and countable. A mindset that thinks that ultimately we are all calculable. A mindset that thinks because it owns all the numbers, it knows everything. </p>
<p>Chinese citizens get indoctrinated with nationalist state propaganda. They are forced to robotically walk in step with a technological “Social Credit System”. They work six days a week from nine to ten. And they all feel like they are winning big time. </p>
<p>Nationalism is on the rise in the West without too much indoctrination. Again, we get to the same place, walking backward. Our nationalism grows out of a general feeling of losing. Many think that immigration is to blame. It’s the Muslims, the Mexicans, the Gypsies. Even the Jews are back in play as an irrational devil that influences the weather to make us believe in Global Warming. Others think that we lose to the 1%, that own everything and take more. Some may fear China. To many, Global Warming is enough of a danger to paint the future black. But we all feel that we are losing. We are losing something. Something that is immeasurably valuable to use. Liberty, beauty, trust, humor, truth, art, humanity, peace of mind, free time. Our soul. It’s too scary to face.</p>
<p>So, in our free time, we empty our brains clicking on junk, and instead of escaping that fear, we accelerate the process. </p>
<h2>Numbers</h2>
<p>As explained, the official reason why we are observed like Chinese citizens is patently absurd. We do not want better ads. Now they say, AI will make us click. Ads never worked and never will. No one clicks. We could install ad blockers, but that won’t help. But even without us clicking at all, somehow the ad system works. No one knows how, because it all happens in a black box. Only Facebook and Google know the real numbers. But no one questions how it works. Why? Because of the numbers.</p>
<p>Google’s and Facebook’s revenues grow astronomically. Users and profits grow year over year. They are beyond comprehension, they are already bigger than reality, and they still grow. Meanwhile competitors—other social networks, search engines and newspapers—collapse. The once distributed architecture of the Internet is controlled by a handful of winners that take it all. And that is whom we believe. The winners. The losers are just jealous. </p>
<p>There is no doubt that ads are bought. The more they observe us the more excited are the advertisers.<sup><a href="#fn18-24511" id="fnr18-24511" title="see footnote" class="footnote">18</a></sup> The ads are bought. The ads are placed. The ads are distributed. And somehow the ads are clicked. But nobody knows anyone who clicks them. It is only strange if you think about it. Don’t think about it. The revenues grow, the profits grow, the intrusion is real and they are smarter than everybody else. They have data to back it up.</p>
<p>No one cares if the business model really works. It’s not our money that gets wasted. We just waste our time. Free-willingly, so to say. No one forces us to use Google or Facebook. If you don’t like Google Search, Google Maps, Gmail, Android, Chrome, Facebook, Instagram, or Whatsapp you can go elsewhere. There are plenty of options. Snap Chat. Apple Maps. Bing. Duck and go, or whatever it is called, and…</p>
<p>Q: Okay, Google, google your alternative.<br/>
A: Here are the search results. Have a look.<br/>
Q: Hey Siri, avoiding you is not easy these days.<br/>
A: Who, me?<br/>
Q: Alexa, I want a divorce.<br/>
A: [Sends all your pictures to all your friends (rarely happens).] </p>
<p>We don’t need a Chinese Wall for our Internet. The market decided, that we can only use a handful of digital products. And the only real competition to Google, Facebook, and Amazon is Chinese. This is not what we should be scared of.</p>
<h2>What makes or breaks the West</h2>
<p>Political junk and entertainment blend in together like North Korean national TV blends in with Fox News. Russian troll farms just put the cherry on the cake. We hardly need them to accelerate our decline. Idiots in their caves spread evidence that the earth is flat without being paid. Deranged man babies tweet death threats for the lulz. Journalists switch to PR-agencies and work hand in hand with armies of do-it-yourself bots. Troll farms have replaced 007. Governments erect walls, and behind those schools decay and bridges rust. Information warfare has become faster, cheaper, more and more efficient than conventional war. </p>
<p>The American president publicly speaks and acts like AI, simulating strength, understanding and knowledge, while making no sense at all. Promising to make America Great Again he is dismantling both the cultural identity and the alliance with the countries that share the same belief. The shared belief that marks the fundamental difference between the West and China. This belief, not hamburgers, stealth bombers, GDPs, or self driving cars is what makes or breaks the West:</p>
<ol>
<li>That all men are by nature equally free and independent</li>
<li>That all power is vested in the people</li>
<li>That government is instituted for the common benefit</li>
<li>That no man is entitled to exclusive privileges</li>
<li>That legislative executive should be separate and distinct from the judicative;</li>
<li>That elections ought to be free</li>
<li>That all power without consent of the representatives of the people is injurious</li>
<li>That in prosecutions a man hath a right to demand the cause and nature of his accusation</li>
<li>That excessive bail ought not to be required, nor excessive fines imposed nor cruel and unusual punishments inflicted</li>
<li>That general warrants are grievous and oppressive</li>
<li>That the ancient trial by jury is preferable to any other</li>
<li>That the freedom of the press is one of the greatest bulwarks of liberty</li>
<li>That a well regulated militia is the proper defense of a free state; that standing armies, in time of peace, should be avoided as dangerous to liberty</li>
<li>That the people have a right to uniform government</li>
<li>That no free government can be preserved to any people but by a firm adherence to justice, moderation, temperance, frugality, and virtue</li>
<li>That religion can be directed by reason and conviction, not by force or violence</li>
</ol>
<p>If you compare the Declaration of Rights to what the current President of the United States tweets, you will see why Xi thinks that it’s China’s time in a different light.</p>
<blockquote><p>
China now has the wind at its back. Of course, there are formidable obstacles ahead. But a dialectical analysis of history causes China to conclude that the forces of reaction facing the US and the West are greater. <sup><a href="#fn19-24511" id="fnr19-24511" title="see footnote" class="footnote">19</a></sup>
</p></blockquote>
<p>The Counts and Dukes of Silicon Valley feel at home in Shenzen.<sup><a href="#fn20-24511" id="fnr20-24511" title="see footnote" class="footnote">20</a></sup> Silicon Valley spies on us like the Chinese Government—and in many ways they see China as their role model. They admire entrepreneurs that don’t sleep, don’t see their children, don’t care about such touch-me-feel-me nonsense like the truth, justice, beauty or how others feel. They name their daughters after the Chinese President, hoping that this might sway him to open the gates to his Asian Eldorado.</p>
<p>Remember why Google is not in China? They did not want to give into censorship. China had other reasons to exclude Western platforms, but those were the days! We keep hearing now that technology has a privacy issue. And we feel that “privacy” may be overrated. What if we worry about the wrong word?</p>
<blockquote><p>
Privacy implies ‘It’s nobody’s business’ …The real issue is…liberty…the freedom to choose what to do with your body, who can see your personal information…monitor your movements and record your calls—who gets to surveil your life and on what grounds. <sup><a href="#fn21-24511" id="fnr21-24511" title="see footnote" class="footnote">21</a></sup>
</p></blockquote>
<p>The final boss that both the Chinese citizens and we need to face if we ever get this far may be the mindset that reduces humans to lab rats. The notion that some humans are better than others and that most humans do not deserve better. The belief that there is no truth but an objective reality and that it is objectively measurable. The idea that what isn’t measurable isn’t real. Those who are in power like that idea because all you need to do to prove that you are superior and that you deserve it is to have bigger numbers. In other words: to earn more.</p>
<p>The belief that who is rich must be smart, favored by God or at least science is widespread. All it needs to feel justified is a single number that bigger than the opponent. </p>
<p>The blind belief in numbers rules the cool offices in Silicon Valley where it religiously measures everything and acts according to what it measures. Year after year Facebooks financial statement annihilates any moral argument against the way they accumulated it.</p>
<p>The idea that who wins must be right sleeps high above the clouds in Shanghai’s Blade Runner apartments and it does not care about your small dark feelings. The same religion builds electric cars to save the world and an escape to Mars while it plans a travel system based on fuel-driven rockets. </p>
<p>And it’s the same soullessness that reigns the White House, where “but I won” crushes any argument. It’s a hole that fears to be filled by China and at the same time, it wants to be like China. It threatens North Korea and flatters its brutal dictator. </p>
<p>Some fear a clash of cultures, a war between China and the US. And surely, the more similar we get the more likely it is that we jump at our throats. But what if our insane leaders meet in the middle, like Trump and Kim Yong Un? What if they just agree that ideas are not worth fighting for. That anything that is not measurable, countable, weighable, things like freedom, friendship and trust, truth, justice and beauty are not real, and that anything is subjected to the GDP. And rather than waging war, they agree on a revised declaration.</p>
<ol>
<li>That only the strong are free and independent</li>
<li>That all power is vested those in power</li>
<li>That government is for the benefit of those who can afford it</li>
<li>That some are entitled to exclusive privileges</li>
<li>That legislative executive should be one with the judicative</li>
<li>That elections are useless</li>
<li>That all power is theirs</li>
<li>That in prosecutions a man hath no right to demand the cause and nature of his accusation</li>
<li>That any bail can be required, excessive fines imposed; and cruel and unusual punishments inflicted</li>
<li>That general warrants are to be expected</li>
<li>That the ancient trial by jury is obsolete</li>
<li>That the press is the enemy of the people</li>
<li>That standing armies, in time of peace, should be the rule</li>
<li>That the people have no rights</li>
<li>That there is no free government, nor justice, moderation, temperance, frugality, and virtue</li>
<li>That religion can be directed by force and violence</li>
</ol>
<p>Justice, truth, and beauty are not measurable. And yet they are real. Happiness, freedom, and imagination are not measurable, and yet they have the power to move mountains. The West has 16 things to lose. None of these 16 can be touched, bought or expressed in numbers. It’s not the GDP, it’s not the number of STEM graduates, it’s not the top positions in the charts of the biggest banks. What we can hope is that the bureaucrats and technocrats continue to undervalue how powerful the unmeasurable is. These 16 ideas have survived Napoleon, ended First World War and won against the Nazis. They have survived the Khmer and they have survived Stalinism. Happy fourth of July.</p>
