title: No Stack Startups
url: http://blog.aweissman.com/2015/05/no-stack-startups.html
hash_url: fa526801be50ebbd4ec16f30db6f10f2

<p><i>“Who can unlearn all the facts that I've learned”</i></p>
<p>
One way of looking at a publisher’s chain of business operations is that there are five core things it must do: (1) produce content; (2) market/promote content; (3) distribution; (4) figure out the best user interface or experience for its content; (5) and monetize the business. This applies, really, to any publisher: both content and commerce, for example. So, to maximize end user experience and value, and from there enterprise value, a company needs to maximize its ability to deliver across those components. Of course, technology infuses them all.
</p>
<p>
One way to accomplish this was suggested by <a href="http://cdixon.org/2014/03/15/full-stack-startups/" target="_blank">Chris Dixon last year</a>. He called it the “full stack startup”:
</p>
<p>
“The new approach is to build a complete, end-to-end product or service that bypasses existing companies. . . you need to get good at many different things: software, hardware, design, consumer marketing, supply chain management, sales, partnerships, regulation, etc.”
</p>
<p>
“You need to get good at many different things” being the key proposition.
<br/>
But maybe, a year or so later, we are seeing something different emerging. Something closer to the actual unbundling of content and commerce businesses themselves from the web at large (and the apps thereto). The unbundling of the full stack startup. Where instead of being good at many things, companies can just focus on the last mile of value they provide, the one thing they can excel at better than anyone else. Maybe this should be called the No Stack Startup - services that can focus on doing only one thing - hopefully well - and utilize other services for everything else.
<br/>
This is not totally new but is challenging some of established orthodoxy by assuming there are some things - design for example - that may not be core competencies.
<br/>
Some examples made me think of this:
</p>
<ul>
<li>
<a href="https://instagram.com/theshaderoominc/" target="_blank">The Shade Room</a> - an Instagram based entertainment publisher, that only does the content sourcing and production </li>
<li>
<a href="http://stefanshead.com/" target="_blank">Stefan’s Head</a> - a text based commerce company, that only designs the products and uses Twilio (I think) on the front end and Stripe on the back end, to deliver via SMS its offers </li>
<li>
<a href="https://www.techinasia.com/these-chinese-college-students-built-a-business-selling-fruit-on-wechat/" target="_blank">Weiguofang</a> - a fruit seller that operates on WeChat </li>
<li>
<a href="http://textrex.co/" target="_blank">TextRex</a> - restaurant recommendations over SMS </li>
</ul>
<p>
Some characteristics all these share is that they use other platforms and APIs (or protocols, in the case of SMS) to cobble together a service and in doing so rely almost wholly on those platforms and APIs for every function of the business other than the one they can be the best at. And, maybe more importantly, they all are using those other platforms to define their users experiences. 
<br/>
Take Facebook, for example. At some level, the Facebook is a very good platform to market, distribute, promote, and - now, maybe - monetize content on. The UX is well known to its users - and optimized over years through billions of interactions for commenting and sharing. In this way, Facebook performs 4 of the 5 components listed above. All, except making the content itself. Similarly, take other platforms, <a href="http://moussemagazine.it/articolo.mm?id=994" target="_blank">such as Instagram</a>:
<br/>
“If you have an Instagram account, you can slap a price tag on anything, take a picture of it, and sell it. For instance, you could take this can of San Pellegrino, paint it pink, put a heart on it, call it yours, and declare it for sale. Even my grandmother has an Instagram business! She sells dried fruit. A friend’s cousin is selling weird potted plants that use Astroturf. People are creating, you know, hacked products.”
</p>

<p>
These No Stack businesses may not offer a “great experience” (traditionally defined) but they likely are “good enough” (see <a href="http://www.slideshare.net/yiibu/the-emerging-global-web" target="_blank">this presentation</a> for a great overview of how this is happening in Asia).
<br/>
Of course, most of these are not even "mobile-first" businesses - they are "mobile-only". They often don’t even have web sites (or, apps for that matter): "the homepage once conferred some sense of reaching your canonical destination, it’s now your name on Facebook, Instagram, Twitter, Amazon etc. that consumers are searching for” (<a href="http://whoo.ps/2015/04/24/destination-everywhere" target="_blank">Jonathan Libov</a>).
<br/>
Historically there have always been services and APIs to string together capabilities.  Until recently, most of these have been back-end infrastructure types.
</p>
<p>
Now it feels like there is something additional going on. For one, the back end services have gotten really, really good and really varied (see, Stripe, Twilio, Shippo, Kabbage, Ziggeo, Layer as just a few examples covering payments, messaging, shipping, financing and video).
</p>

<p>
But moreso, the No Stack services are utilizing other front ends layered on top of the back end services. They are utilizing front ends that may not have even been initially designed for those purposes. But they work because in many ways they are optimal user experiences that are already market tested.<br/>
<br/></p>
<p>
The No Stack Startup thus does not attempt to recreate a user experience, instead relying on other UX that are good enough, and getting better. This obviously inverts the notion of user experience and even design (my partner Albert's great <a href="https://www.youtube.com/watch?v=t8qo7pzH_NM" target="_blank">TEDx talk</a> is all about inversions in fact).
<br/>
Even better, in relying on the UX of other platforms, the No Stack Startup also relies on the users of those platforms. In some ways, and <a href="http://www.fool.com/investing/general/2013/09/09/the-25-smartest-things-jeff-bezos-has-ever-said.aspx" target="_blank">to paraphrase Jeff Bezos</a>, this new class of services looks at other platforms, builds upon them, and thinks: "your users are my opportunity."
</p>

<p>
I have been trying to figure out what the implications of this might be. A few ideas:</p>
<ul>
<li>
the platforms themselves may have different and even stronger network effects than previously imagined (though in different ways), as springboards to other services </li>
<li>
it feels like it is an amazing time to be a creative entrepreneur  utilizing emerging no stack techniques, though it is wholly unclear how to measure the sustainability of the no stack approach via the full stack approach </li>
<li>
the environment for incumbent publishers is even more competitive with a faster feedback loop then we probably realize.</li>
</ul>
<p>
Regardless of the implications, it seems that when there is continuously less "there" needed to create value, we might at a minimum require some new definitions.</p>
