title: An unconference in trains to grow your professional nomadic practices.
url: https://nomadconf.org/fr/canada-2018
hash_url: 5d13082f8cfede0780c75f9fd3314080

<p>Les NomadConfs sont des non-conférences <a href="conference-nomade">nomades</a> pour grandir dans ses pratiques professionnelles en situation de nomadisme… et pour passer un bon moment entre coworking éphémère en train et rencontre de communautés locales ! Cette édition aura lieu au Canada dans la première quinzaine de novembre 2018 et est organisée par Clémentine Hahn et Matti Schneider.</p>

<p><img src="https://nomadconf.org/img/canada-2018/station.jpg" alt="Gare d'Ottawa"/></p>

<h2 id="quand-ralentir-nous-permet-daller-plus-vite-plus-loin-ou-simplement-ailleurs">Quand ralentir nous permet d’aller plus vite, plus loin… ou simplement ailleurs ?</h2>

<p>Pour cette édition, nous souhaitons explorer le rapport au temps et à la productivité. Les méthodes agiles et lean recommandent de bouger vite (et de casser des choses). Produire vite. Tester vite.</p>

<p>Mais pourquoi ? Aller vite est-il devenu un but en soi ?</p>

<p>L’adoption généralisée de ces pratiques mène à les appliquer à tous types de problèmes, notamment dans le design de services, de services publics, de systèmes ancrés durablement dans la vie d’usagers voire dans la société. Mais peut-on réellement approcher ce type de système sans avoir conscience du temps long ? Et peut-on faire cela en étant soi-même dans la précipitation ? Puisqu’il faut changer sa spatialité (« sortir du bâtiment ») pour bien comprendre les problèmes que nous cherchons à résoudre, alors pourquoi ne pas changer aussi notre temporalité ?</p>

<p>Sans revenir au cycle en V, il s’agit de questionner les pratiques agiles et lean pour <strong>identifier les occasions où nous présageons à tort que le fait d’aller vite aurait une vertu intrinsèque</strong>.</p>

<h2 id="linvitation">L’invitation</h2>

<p><strong>Chaque personne apporte un sujet qui la travaille, et qui est suffisamment complexe pour mériter d’y consacrer quelques jours.</strong> Un sujet où l’on sent que notre approche habituelle n’est peut-être pas la meilleure est le plus pertinent. Ce sujet peut être technique (une architecture logicielle à reconstruire…), organisationnel (les limites d’une équipe fragilisée…), professionnel (un changement de carrière…), philosophique (un mode de vie à adopter…) ; peu importe tant qu’il est suffisamment précis pour qu’une avancée puisse être mesurable, suffisamment important pour souhaiter y réfléchir et travailler seul·e plusieurs heures, et suffisamment compréhensible pour pouvoir recevoir de l’aide.</p>

<p>Nous chercherons individuellement et collectivement à identifier les moments où nous mélangeons fin et moyens, dans l’objectif de retrouver une capacité d’usage du temps long. Pour cela, nous exploiterons une double mise en situation permise par la mobilité douce :</p>

<ul>
  <li>D’une part, en travaillant sur des sujets habituels dans une situation inhabituelle, en créant un espace de télétravail éphémère dans le train. Ce changement de contraintes cognitives (moins d’interruptions, un paysage changeant, moins de connectivité, un espace partagé…) modifie notre rapport aux problèmes que nous cherchons à résoudre.</li>
  <li>D’autre part, en échangeant sur ces changements cognitifs avec d’autres personnes qui les vivent également, et qui en auront une expérience et une interprétation variées.</li>
</ul>

<h2 id="proposition-1-la-transcontinentale">Proposition 1 : <em>la Transcontinentale</em></h2>

<p>Du samedi 10 au dimanche 18 novembre 2018, de Toronto à Vancouver : 2 segments / 8 jours / 2200 CA$.
<em>Ce tarif est trop élevé ? Vous pouvez demander une subvention, ou voyager en siège inclinable plutôt qu’en couchette, pour un total de 900 CA$.</em></p>



<p><img src="https://nomadconf.org/img/canada-2018/transcanadian.jpg" alt="Train in the rockies"/></p>

<h3 id="départ-toronto">Départ : Toronto</h3>

<p>Rendez-vous dans un restaurant proche de la gare à 19h30. On se rencontre autour d’un dîner pour se découvrir et définir les attentes de chacun·e·s.</p>

<h3 id="segment-1-toronto-winnipeg">Segment 1 : Toronto – Winnipeg</h3>

<ul>
  <li>Horaire de départ : samedi 10 novembre à 22h00</li>
  <li>Horaire d’arrivée : lundi 12 novembre à 8h00</li>
  <li>Durée : 1j 11h</li>
</ul>

<p>Programme :</p>

<ul>
  <li>Nuit en couchettes.</li>
  <li>Au réveil, petit-déjeuner dans le wagon restaurant, on présente les sujets que chaque personne a apporté en admirant les paysages.</li>
  <li>On travaille en binômes pendant quelques heures en alternant les sujets et les binômes. Support par les pairs pour apprendre à travailler dans ce contexte.</li>
  <li>Partage et rétrospective de ce premier temps à l’occasion du déjeuner.</li>
  <li>Temps de travail individuel (ou en binôme si certains binômes le souhaitent).</li>
  <li>Temps de rencontre : dans la voiture restaurant, chaque binôme dîne avec d’autres voyageurs qui ne font pas partie du groupe.</li>
  <li>Partage et rétrospective de ce second temps en admirant les paysages puis le ciel dans la voiture d’observation.</li>
  <li>Nuit en couchettes.</li>
</ul>

<p>Tout au long du trajet, plusieurs arrêts intermédiaires permettent de s’aérer.</p>

<h3 id="étape-1-winnipeg">Étape 1 : Winnipeg</h3>

<p>Trois jours à Winnipeg, en plein milieu du continent. Les températures seront comprises entre 0°C et -10°C, avec un début de couverture neigeuse.</p>

<p>Logement dans un loft avec espace partagé pour cuisiner et travailler. Visite du <a href="https://humanrights.ca">musée des droits de la personne</a>. <em>Travail depuis l’espace <a href="https://www.northforge.ca">NorthForge</a> et rencontre d’entrepreneurs locaux (en cours de confirmation).</em> Deux demi-journées de randonnée pour s’aérer, s’activer, et explorer une autre forme de mobilité douce.</p>

<p>Avec l’expérience du premier segment, le groupe définit collectivement les expériences à mener pour le deuxième segment.</p>

<h3 id="segment-2-winnipeg-vancouver">Segment 2 : Winnipeg – Vancouver</h3>

<ul>
  <li>Horaire de départ : jeudi 15 novembre à 10h00</li>
  <li>Horaire d’arrivée : samedi 17 novembre à 18h00</li>
  <li>Durée : 2j 10h</li>
</ul>

<p>Programme : les participant·e·s appliquent le programme qui a été défini pendant la première étape.</p>

<p>Tout au long du trajet, plusieurs arrêts intermédiaires permettent de s’aérer.</p>

<h3 id="arrivée-vancouver">Arrivée : Vancouver</h3>

<p>Clôture : marche de découverte de la ville en soirée, rétrospective sur la semaine.</p>

<p>Possibilité de prolonger le temps à Vancouver à la liberté du groupe.</p>



<h2 id="proposition-2-le-corridor">Proposition 2 : <em>le Corridor</em></h2>

<p>Le weekend du 10 et 11 novembre, aller-retour entre Montréal et Toronto : 2 segments / 2 jours / 250 CA$.</p>



<p><img src="https://nomadconf.org/img/canada-2018/corridor.jpg" alt="Quai d'Ottawa"/></p>

<h3 id="étape-1-montréal">Étape 1 : Montréal</h3>

<p>Samedi 10 novembre à 8h00, rencontre des participants à la gare. Petit déjeuner pour se rencontrer.</p>

<h3 id="segment-1-montréaltoronto">Segment 1 : Montréal – Toronto</h3>

<ul>
  <li>Horaire de départ : samedi 10 novembre à 09:00.</li>
  <li><em>Possibilité de rejoindre à Ottawa</em> : arrêt en gare de 11:04 à 11:40.</li>
  <li>Horaire d’arrivée : samedi 10 novembre à 16:03.</li>
  <li>Durée : 7h 3m</li>
</ul>

<p>Discussions et retours d’expérience autour du thème « questionner les pratiques agiles pour identifier les occasions où nous présageons à tort que le fait d’aller vite aurait une vertu intrinsèque ».</p>

<h3 id="étape-2-toronto">Étape 2 : Toronto</h3>

<ul>
  <li>Découverte de la ville à pied fin de journée et soirée.</li>
  <li>Rétrospective de nos échanges de la journée.</li>
</ul>

<p>Nuit à Toronto dans un logement partagé.</p>

<h3 id="segment-2-torontomontréal">Segment 2 : Toronto – Montréal</h3>

<ul>
  <li>Horaire de départ : dimanche 11 novembre à 10:45</li>
  <li>Correspondance à Ottawa : de 15:02 à 16:10</li>
  <li>Horaire d’arrivée : dimanche 11 novembre à 18:05</li>
  <li>Thèmes abordés :</li>
</ul>

<h3 id="étape-3--montréal">Étape 3 : Montréal</h3>

<p>Clôture : bilan des deux jours et hypothèses pour les prochains pas.</p>

<h4 id="préinscrivez-vous-ici-jusquau-6-octobre-ne-tardez-pas-3"><a href="https://mattischneider.typeform.com/to/hoM1wk">Préinscrivez-vous ici</a> jusqu’au 6 octobre ! Ne tardez pas !</h4>
