title: Decidim, un projet technopolitique
url: https://medium.com/open-source-politics/decidim-un-projet-technopolitique-f23290d84a18
hash_url: 5dfe17f0da42b9fb1b5d943275696070

<p name="c37b" id="c37b" class="graf graf--p graf-after--h3 graf--trailing"><em class="markup--em markup--p-em">Nous avons traduit une partie du manuel d’administration de Decidim (téléchargeable </em><a href="https://decidim.org/pdf/Decidim_AdminManual_EN_0.10.pdf" data-href="https://decidim.org/pdf/Decidim_AdminManual_EN_0.10.pdf" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank"><em class="markup--em markup--p-em">ici</em></a><em class="markup--em markup--p-em">), qui récapitule de nombreuses informations cruciales à propos de l’histoire de Decidim, de sa construction et de sa philosophie.</em></p></div></div></section><section name="e62d" class="section section--body"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--insetColumn"><p name="366c" id="366c" class="graf graf--p graf--leading">Decidim est un projet technopolitique.</p><p name="ead3" id="ead3" class="graf graf--p graf-after--p">Une plateforme numérique de participation citoyenne pour une ville démocratique, construite de manière ouverte et collaborative à l’aide de logiciels libres.</p><p name="df9d" id="df9d" class="graf graf--p graf-after--p">C’est une infrastructure publique qui rentre dans le champ des communs. Publique car elle bénéficie d’une impulsion institutionnelle évidente et issue des communs car le code est ouvert et libre ; en d’autres termes, tout le monde peut le voir, l’utiliser, le copier ou le modifier.</p><p name="500a" id="500a" class="graf graf--p graf-after--p">C’est une plateforme faite pour coordonner des espaces et des processus participatifs, qui vise à étendre et faciliter l’accès à la participation citoyenne, ouvrir de nouveaux espaces de délibération et de collaboration en vue de la co-construction et de la co-production des politiques publiques.</p><p name="0c49" id="0c49" class="graf graf--p graf-after--p graf--trailing">Elle veut également ouvrir de nouveaux espaces de participation et de démocratie directes, entraînant ainsi la désintermédiation et la coopération entre citoyens, institutions et organisations de la société civile.</p></div></div></section><section name="31c2" class="section section--body"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--insetColumn"><h3 name="bdf9" id="bdf9" class="graf graf--h3 graf--leading">1. Principes</h3><p name="5966" id="5966" class="graf graf--p graf-after--h3">La plateforme Decidim a été construite et développée sur la base d’une série de principes qui promeuvent l’exploration et l’innovation démocratique à l’ère du numérique aussi bien que les possibilités d’amélioration, d’ouverture et de développement de politiques de participation citoyenne ainsi que de formes démocratiques de gouvernement à plusieurs niveaux (avec une attention particulière à l’échelon municipal). Ces principes sont listés ci-dessous :</p><h4 name="04ba" id="04ba" class="graf graf--h4 graf-after--p">Hybridation technopolitique</h4><p name="b339" id="b339" class="graf graf--p graf-after--h4">C’est la clé pour éviter ce que nous appelons le “réductionnisme numérique” (Calleja-López, 2017), une variante du technocentrisme qui met l’accent principalement ou exclusivement sur les infrastructures et aspects numériques des nouvelles formes de participations. Ceci sans s’intéresser aux importantes innovations survenant dans les pratiques, les processus et la culture participative par l’hybridation de la participation numérique et physique. Une approche hybride tente de connecter les espaces et activités se déroulant sur decidim.barcelona avec les espaces et activités se déroulant en physique, et considère les multiples variantes qui seraient envisageables dans le but d’encourager de nouvelles formes d’action collective.</p><h4 name="6ca2" id="6ca2" class="graf graf--h4 graf-after--p">Participation améliorée et multi-modale</h4><p name="fbc9" id="fbc9" class="graf graf--p graf-after--h4">Le résultat du “réductionnisme numérique” est l’encouragement de la “participation du clic” (Calleja-López, 2017), dans laquelle la participation devient un phénomène circonscrit d’abord et surtout par son aspect digital, et plus spécifiquement par ses aspects pratiques, de vitesse et de non-interférence avec d’autres acteurs et d’autres idées. Il y a ainsi le besoin de faire émerger des formes d’interaction enrichies entre individus sur decidim.barcelona, ainsi qu’entre les individus, les contenus de la plateforme et les processus participatifs hybrides au sens large. Ceci implique, d’un côté, d’enrichir les processus participatifs avec des fonctionnalités qui vont plus loin que le simple vote (visualisation d’informations et de données, délibération etc). D’un autre côté, cela implique de construire des processus hybrides (par exemple des réunions physiques connectées à la plateforme), qui font de la participation une démarche multimodale, améliorée et exhaustive, plutôt que réduite et simplement “cliquable”.</p><h4 name="132f" id="132f" class="graf graf--h4 graf-after--p">Transparence et traçabilité</h4><p name="5d5e" id="5d5e" class="graf graf--p graf-after--h4">A l’exception des données qui peuvent affecter la vie privée des utilisateurs, les détails de l’activité des processus participatifs sur un média numérique doivent être entièrement traçables et publics si l’on veut atteindre un nouveau stade de transparence de la participation. La transparence de la participation et de la traçabilité sont des conditions nécessaires pour maintenir la confiance en ces nouveaux processus.</p><h4 name="aeae" id="aeae" class="graf graf--h4 graf-after--p">Ouverture / publication</h4><p name="0a75" id="0a75" class="graf graf--p graf-after--h4">Les principes de publication et d’ouverture font d’abord référence au code et aux fonctionnalités de la plateforme, ensuite aux données et contenus des processus et enfin, plus généralement, aux processus eux-mêmes. Ceci implique, dans les deux premiers cas, l’utilisation des standards et licences libres les plus exigeants (par exemple <a href="https://fr.wikipedia.org/wiki/GNU_Affero_General_Public_License" data-href="https://fr.wikipedia.org/wiki/GNU_Affero_General_Public_License" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">Affero GPLv3</a> pour le code, <a href="https://fr.wikipedia.org/wiki/Licence_Creative_Commons" data-href="https://fr.wikipedia.org/wiki/Licence_Creative_Commons" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">CreativeCommons</a> pour le contenu, <a href="https://fr.wikipedia.org/wiki/Open_Database_License" data-href="https://fr.wikipedia.org/wiki/Open_Database_License" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">Open Access Database Licences</a> pour les données). Decidim doit être une plateforme libre dont tout le monde peut voir, modifier et réutiliser le code sur lequel elle est basée. Dans le cas des processus, ces principes sont reliés à d’autres mentionnés dans cette liste, comme la transparence et l’accessibilité, et ont pour objectif de rendre ces processus aussi participatifs et réutilisables que possible à différentes échelles.</p><figure name="f728" id="f728" class="graf graf--figure graf--layoutOutsetLeft graf-after--p"><div class="aspectRatioPlaceholder is-locked" style="max-width: 525px; max-height: 350px;"><div class="aspectRatioPlaceholder-fill" style="padding-bottom: 66.7%;"></div><div class="progressiveMedia js-progressiveMedia graf-image" data-image-id="0*e8CUrI2enDg0ioyc." data-width="6000" data-height="4000" data-action="zoom" data-action-value="0*e8CUrI2enDg0ioyc."><img src="https://cdn-images-1.medium.com/freeze/max/60/0*e8CUrI2enDg0ioyc.?q=20" crossorigin="anonymous" class="progressiveMedia-thumbnail js-progressiveMedia-thumbnail"><canvas class="progressiveMedia-canvas js-progressiveMedia-canvas"></canvas><img class="progressiveMedia-image js-progressiveMedia-image" data-src="https://cdn-images-1.medium.com/max/1200/0*e8CUrI2enDg0ioyc."><noscript class="js-progressiveMedia-inner"><img class="progressiveMedia-noscript js-progressiveMedia-inner" src="https://cdn-images-1.medium.com/max/1200/0*e8CUrI2enDg0ioyc."></noscript></div></div><figcaption class="imageCaption">Photo by <a href="https://unsplash.com/@kslupski?utm_source=medium&amp;utm_medium=referral" data-href="https://unsplash.com/@kslupski?utm_source=medium&amp;utm_medium=referral" class="markup--anchor markup--figure-anchor" rel="photo-creator nofollow noopener" target="_blank">Chris Slupski</a> on <a href="https://unsplash.com?utm_source=medium&amp;utm_medium=referral" data-href="https://unsplash.com?utm_source=medium&amp;utm_medium=referral" class="markup--anchor markup--figure-anchor" rel="photo-source nofollow noopener" target="_blank">Unsplash</a></figcaption></figure><h4 name="1daa" id="1daa" class="graf graf--h4 graf-after--figure">Participation transversale</h4><p name="d2df" id="d2df" class="graf graf--p graf-after--h4">Prenant appui sur plusieurs des clés du succès d’initiatives récentes telles que le 15M [le mouvement des Indignés débuté le 15 mai 2011], le déploiement et les stratégies de communication de decidim.barcelona doivent être dirigées vers la recherche de légitimité d’abord, puis la participation, en se tournant vers le plus de groupes sociaux et politiques possible.</p><h4 name="8793" id="8793" class="graf graf--h4 graf-after--p">Connaissance, technoscience et intelligence collective</h4><p name="c313" id="c313" class="graf graf--p graf-after--h4">Les nouvelles formes de participation doivent pouvoir bénéficier des possibilités offertes à la fois par les connaissances des citoyens et la science des données (tirées à l’occasion des processus participatifs eux-mêmes) pour améliorer la prise de décision et la participation. Une participation informée et experte donc, capable de catalyser la connaissance sociale.</p><h4 name="d57f" id="d57f" class="graf graf--h4 graf-after--p">Participation collective en réseau</h4><p name="4488" id="4488" class="graf graf--p graf-after--h4">Il existe plusieurs défis centraux dès lors que l’on vise l’amélioration de la participation reposant notamment sur le numérique. L’un d’entre eux réside dans la capacité des processus participatifs à favoriser le collectif face aux tendances atomisantes actuelles, qui résultent d’ailleurs souvent de la participation virtuelle, lointaine et déconnectée. Cela implique l’utilisation de fonctionnalités qui encouragent l’interaction entre utilisateurs dans des processus collectifs, que ce soit en physique ou sur une plateforme.</p><h4 name="ee54" id="ee54" class="graf graf--h4 graf-after--p">Orientation public-communs, réappropriation et participation récurrente</h4><p name="560a" id="560a" class="graf graf--p graf-after--h4">Les nouvelles infrastructures numériques de la démocratie doivent être un espace appartenant aux, issu des, et pour les communs. Si l’on veut promouvoir la démocratie, les infrastructures elles-mêmes doivent être foncièrement démocratiques. Cela implique de valoriser un modèle innovant, alternatif par rapport à la privatisation de la sphère publique. Dans ce but, Decidim doit être une infrastructure numérique de construction, propriété et utilisation publique-communs. En d’autres termes, elle doit correspondre à ce que nous définissons comme des “communs technopolitiques” : une technologie ouverte à la participation de tout le monde de par sa construction et son management, gérée par la distribution et avec des modèles de production collective et de partage libre. Comparée aux plateformes fermées et exclusives contrôlées par des grandes entreprises, Decidim est une infrastructure démocratique pour la démocratie.</p><h4 name="9bfb" id="9bfb" class="graf graf--h4 graf-after--p">Accessibilité et formation technopolitique</h4><p name="b399" id="b399" class="graf graf--p graf-after--h4">Elle doit également être un service public, c’est pourquoi il est essentiel de s’assurer que les citoyens ont l’accès et la formation suffisante pour prendre part et exploiter tout le potentiel de la plateforme. Promouvoir son utilisation par les populations locales ainsi que par des groupes sociaux exclus constitue un défi crucial. Decidim.barcelona et les processus participatifs numériques doivent être régis par des standards d’accessibilité plus exigeants (par exemple ceux du Web Accessibility Initiative, WAI).</p><h4 name="d2f1" id="d2f1" class="graf graf--h4 graf-after--p">Indépendance, émancipation et affiliation</h4><p name="cd9f" id="cd9f" class="graf graf--p graf-after--h4 graf--trailing">Si les mouvements sociaux ont démontré quelque chose ces dernières années, c’est le rôle central joué par l’action collective auto-organisée dans le démarrage et l’accompagnement de processus de changement. Dans cette mesure, decidim.barcelona et les processus utilisant la plateforme doivent encourager l’indépendance sociale et l’auto-organisation. De plus, l’affiliation institutionnelle doit être un prérequis de la majorité des processus de la plateforme, étant donné que c’est un élément clé de sa légitimité opérationnelle sur le moyen et long terme. En d’autres termes, les processus d’indépendance sociale aussi bien que bottom-up devraient être affiliés aux institutions publiques.</p></div></div></section><section name="ac4b" class="section section--body"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--insetColumn"><h3 name="0c19" id="0c19" class="graf graf--h3 graf--leading">2. Bref rappel historique</h3><p name="f631" id="f631" class="graf graf--p graf-after--h3">Pendant sa présentation publique en septembre 2015, <a href="https://decide.madrid.es/" data-href="https://decide.madrid.es/" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">Decide Madrid</a>, une plateforme de participation numérique lancée par le Conseil municipal de Madrid et basé sur le logiciel <a href="http://consulproject.org/en/" data-href="http://consulproject.org/en/" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">Consul</a>, commença à expérimenter plusieurs démarches participatives tels que les débats publics et les propositions de citoyens. Lancé par la mairie de Barcelone, le projet <a href="https://www.decidim.barcelona/" data-href="https://www.decidim.barcelona/" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">Decidim Barcelona</a>, qui était aussi basé sur Consul avec d’importantes modifications et adapté à de nouveaux besoins, fut présenté en février 2016. Son objectif originel était de coordonner le processus participatif de rédaction du <a href="https://www.decidim.barcelona/processes/pam" data-href="https://www.decidim.barcelona/processes/pam" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">Plan d’Action Municipal</a> (PAM) ainsi que d’autres qui naîtraient dans la ville dans le futur.</p><figure name="8839" id="8839" class="graf graf--figure graf--layoutOutsetLeft graf-after--p"><div class="aspectRatioPlaceholder is-locked" style="max-width: 525px; max-height: 350px;"><div class="aspectRatioPlaceholder-fill" style="padding-bottom: 66.7%;"></div><div class="progressiveMedia js-progressiveMedia graf-image" data-image-id="0*3eRnYoc5PhQIji7Z." data-width="5760" data-height="3840" data-action="zoom" data-action-value="0*3eRnYoc5PhQIji7Z."><img src="https://cdn-images-1.medium.com/freeze/max/60/0*3eRnYoc5PhQIji7Z.?q=20" crossorigin="anonymous" class="progressiveMedia-thumbnail js-progressiveMedia-thumbnail"><canvas class="progressiveMedia-canvas js-progressiveMedia-canvas"></canvas><img class="progressiveMedia-image js-progressiveMedia-image" data-src="https://cdn-images-1.medium.com/max/1200/0*3eRnYoc5PhQIji7Z."><noscript class="js-progressiveMedia-inner"><img class="progressiveMedia-noscript js-progressiveMedia-inner" src="https://cdn-images-1.medium.com/max/1200/0*3eRnYoc5PhQIji7Z."></noscript></div></div><figcaption class="imageCaption">Photo by <a href="https://unsplash.com/@aquachara?utm_source=medium&amp;utm_medium=referral" data-href="https://unsplash.com/@aquachara?utm_source=medium&amp;utm_medium=referral" class="markup--anchor markup--figure-anchor" rel="photo-creator nofollow noopener" target="_blank">AquaChara</a> on <a href="https://unsplash.com?utm_source=medium&amp;utm_medium=referral" data-href="https://unsplash.com?utm_source=medium&amp;utm_medium=referral" class="markup--anchor markup--figure-anchor" rel="photo-source nofollow noopener" target="_blank">Unsplash</a></figcaption></figure><p name="c54d" id="c54d" class="graf graf--p graf-after--figure">Environ 25 000 personnes s’inscrivirent en deux mois, 10 680 propositions furent formulées, 410 réunions publiques se déroulèrent et plus de 160 000 votes furent récoltés. De ce fait, un espace de collaboration et de délibération fut ouvert entre les citoyens, les organisations de la société civile et le Conseil municipal de Barcelone.</p><p name="1d61" id="1d61" class="graf graf--p graf-after--p">De nombreuses municipalités exprimèrent leur envie de mettre en oeuvre des processus similaires, tirant profit de la technologie utilisée, étant donné son succès et le fait qu’elle soit libre et réutilisable. Plus spécifiquement : le conseil municipal de La Corogne, à travers sa plateforme de budget participatif A Porta Abierta ; celui d’Oviedo, avec Consulta Oviedo et son espace dédié aux propositions des citoyens ; et enfin le conseil municipal de Valence avec decidimVLC, pour la préparation des budgets participatifs. Il y eut aussi de nombreux exemples d’autorités locales et d’autres institutions qui montrèrent un grand intérêt pour le projet decidim.barcelona et sa mise en oeuvre, comme les conseils municipaux de L’Hospitalet, Badalona, ​​Terrassa et Gavà ainsi que le Conseil provincial de Barcelone et le Consortium Localret.</p><p name="e9aa" id="e9aa" class="graf graf--p graf-after--p">Cette série de changements et d’adaptations entraîna un nouveau besoin technologique nécessitant l’adaptation d’une technologie devant assurer l’indépendance, la diversité des autorités locales et la durabilité à moyen-terme de la plateforme. Fut alors déterminée une stratégie de développement décentralisée (modulable) et évolutive, ce qui rendit le projet entier capable de flexibilité et d’une croissance sur le long terme, mais aussi de générer un développement, un design et une communauté de soutiens appuyés au niveau municipal mais également (plus important encore) intercommunal.</p><p name="0721" id="0721" class="graf graf--p graf-after--p graf--trailing">Cela amena le conseil municipal de Barcelone à reconsidérer sérieusement l’architecture de la plateforme et à engager une réécriture complète du logiciel basée sur les principes et les besoins mentionnés ci-dessus. De cette réécriture naquit le projet Decidim, un framework démocratique participatif, générique, basé sur Ruby on Rails, que n’importe quel groupe, organisation ou institution pourrait utiliser avec un minimum de connaissances techniques.</p></div></div></section><section name="9c8f" class="section section--body"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--insetColumn"><h3 name="6dd3" id="6dd3" class="graf graf--h3 graf--leading">3. Développement ouvert et logiciel libre</h3><p name="7984" id="7984" class="graf graf--p graf-after--h3">Le projet de plateforme Decidim a été développé avec des logiciels libres (que ce soit lors de sa phase initiale avec Consul ou après la réécriture complète du code) et tout son développement a été effectué de manière ouverte, le rendant totalement traçable et suivi depuis le début.</p><p name="5eb4" id="5eb4" class="graf graf--p graf-after--p">Sa création grâce au logiciel libre signifie que le code source de la plateforme est sous licence AGPL v3 (GNU Affero General Public Licence), ce qui implique que le code doit intégrer la possibilité d’être consulté, copié, modifié et réutilisé et que la même licence est appliquée à tout travail ou produit qui en serait dérivé. C’est une des licences qui garantissent le plus de liberté et qui mettent en pratique le copyleft. Dans cette mesure, il est parfaitement logique pour les autorités publiques de s’engager clairement en faveur de ce type de logiciel, puisque c’est par ce type de licence que l’on peut recevoir un “rendement social” sur les investissement publics.</p><figure name="603b" id="603b" class="graf graf--figure graf--startsWithDoubleQuote graf--layoutOutsetLeft graf-after--p"><div class="aspectRatioPlaceholder is-locked" style="max-width: 525px; max-height: 295px;"><div class="aspectRatioPlaceholder-fill" style="padding-bottom: 56.2%;"></div><div class="progressiveMedia js-progressiveMedia graf-image" data-image-id="0*BSvTvPqnNpO3MLIg." data-width="5163" data-height="2904" data-action="zoom" data-action-value="0*BSvTvPqnNpO3MLIg."><img src="https://cdn-images-1.medium.com/freeze/max/60/0*BSvTvPqnNpO3MLIg.?q=20" crossorigin="anonymous" class="progressiveMedia-thumbnail js-progressiveMedia-thumbnail"><canvas class="progressiveMedia-canvas js-progressiveMedia-canvas"></canvas><img class="progressiveMedia-image js-progressiveMedia-image" data-src="https://cdn-images-1.medium.com/max/1200/0*BSvTvPqnNpO3MLIg."><noscript class="js-progressiveMedia-inner"><img class="progressiveMedia-noscript js-progressiveMedia-inner" src="https://cdn-images-1.medium.com/max/1200/0*BSvTvPqnNpO3MLIg."></noscript></div></div><figcaption class="imageCaption">“A bright red and blue neon reads “open”” by <a href="https://unsplash.com/@stairhopper?utm_source=medium&amp;utm_medium=referral" data-href="https://unsplash.com/@stairhopper?utm_source=medium&amp;utm_medium=referral" class="markup--anchor markup--figure-anchor" rel="photo-creator nofollow noopener" target="_blank">Alex Holyoake</a> on <a href="https://unsplash.com?utm_source=medium&amp;utm_medium=referral" data-href="https://unsplash.com?utm_source=medium&amp;utm_medium=referral" class="markup--anchor markup--figure-anchor" rel="photo-source nofollow noopener" target="_blank">Unsplash</a></figcaption></figure><p name="7fe0" id="7fe0" class="graf graf--p graf-after--figure">Accédez par ce <a href="https://github.com/AjuntamentdeBarcelona/decidim/blob/master/LICENSE-AGPLv3.txt" data-href="https://github.com/AjuntamentdeBarcelona/decidim/blob/master/LICENSE-AGPLv3.txt" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank">lien</a> au fichier texte de la licence.</p><p name="2b78" id="2b78" class="graf graf--p graf-after--p">Le copyleft correspond à une large variété de licences qui peuvent être appliquées à des créations logicielles, artistiques et autres. Les soutiens du copyleft voient le copyright comme un moyen de réduire le droit individuel à produire et distribuer des copies d’un travail. Une licence copyleft, de fait, utilise la législation du copyright pour assurer que tous ceux qui reçoivent une copie ou un produit dérivé peuvent utiliser, modifier et même distribuer à la fois le produit originel et les versions dérivées. Dans un sens strictement non-légal, le copyleft est ainsi l’opposé du copyright (Wikipédia, 2017).</p><p name="1bd2" id="1bd2" class="graf graf--p graf-after--p">Le fait que le logiciel ait été développé de manière ouverte signifie que le processus entier de développement est transparent et accessible. En d’autres termes, chacun peut voir, depuis le début du développement du logiciel, chaque modification, chaque contribution, chaque développeur impliqué, etc. De ce fait, la transparence est en train de devenir un principe fondamental de la participation citoyenne mais également pour le développement de logiciels.</p><p name="66ed" id="66ed" class="graf graf--p graf-after--p graf--trailing">Tout ceci a été effectué sur une plateforme construite pour la collaboration ouverte dans le cadre du développement de logiciels : GitHub. Cette plateforme permet l’accès aux codes et le contrôle du développement du logiciel. GitHub est voué à accueillir des répertoires Git ; il en existe des alternatives, par exemple GitLab.</p></div></div></section><section name="5de8" class="section section--body"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--insetColumn"><h3 name="2f6a" id="2f6a" class="graf graf--h3 graf--leading">4. Decidim Barcelona</h3><p name="0e47" id="0e47" class="graf graf--p graf-after--h3">Decidim Barcelona est la première instance de Decidim et demeure l’origine du projet. Decidim Barcelona a vu le jour grâce au besoin du conseil municipal de Barcelone de construire un processus de participation citoyenne soutenu par la technologie pour le Plan d’Action Municipal (PAM), avec trois objectifs principaux : construire un processus transparent et traçable, augmenter la participation grâce à la plateforme numérique et intégrer la participation numérique et physique.</p><p name="1678" id="1678" class="graf graf--p graf-after--p graf--trailing">Ce processus a agrégé plus de 10 000 propositions et plus de 160 000 votes favorables, avec un résultat final de 71% des propositions citoyennes acceptées et incluses dans le PAM, au sein de plus de 1600 initiatives. Decidim était à l’origine construit exclusivement pour ce processus, mais le besoin de l’étendre à d’autres processus participatifs a été rapidement exprimé. C’est à ce moment-là que l’idée du Decidim actuel est née : une plateforme participative qui rend possible autant de processus participatifs que l’on souhaite, divisés en étapes et avec la possibilité d’activer plusieurs fonctionnalités à chaque étape. Une porte a volontairement été laissée ouverte au développement de nouvelles fonctionnalités qui pourraient être rapidement intégrées aux processus (enquêtes, rédaction collaborative de textes, suivi de résultats, etc), ainsi qu’à l’intégration de nouveaux espaces participatifs tels que les initiatives citoyennes et les conseils de participation. Decidim Barcelona accueille au moment de la rédaction de ce document (mai 2018) 12 processus participatifs et compte déjà 28 400 participants, plus de 12 000 propositions, 5340 résultats, 930 réunions physiques et 189 000 votes favorables. Les bons résultats de la plateforme à Barcelone ont entrainé sa dissémination dans plusieurs autres municipalités, telles que L’Hospitalet de Llobregat, Sabadell, Badalona, Terrassa, Gavà, Sant Cugat, Mataró et Vilanova i la Geltrú.</p></div></div></section><section name="c535" class="section section--body"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--insetColumn"><h3 name="a456" id="a456" class="graf graf--h3 graf--leading">5. Les communes de Decidim</h3><p name="65cf" id="65cf" class="graf graf--p graf-after--h3">Decidim est un logiciel qui permet d’ouvrir autant de plateformes que nécessaire, avec une seule installation.</p><p name="3761" id="3761" class="graf graf--p graf-after--p graf--trailing">Il y a de nombreux exemples de telles architectures (en anglais <em class="markup--em markup--p-em">multitenant architecture</em>) dans le monde logiciel, par exemple le logiciel libre Wordpress pour les projets de blog. C’est particulièrement utile pour les institutions qui souhaitent fournir Decidim en tant que service tiers. Le cas du Conseil Provincial est particulièrement important puisque Decidim peut être utilisée avec une seule installation — c’est-à-dire qu’elle est maintenue, mise à jour et hébergée par une seule entité — par autant d’autorités locales que l’on souhaite. On réduit ainsi les coûts d’installation et de maintenance, en plus de fournir des solutions technologiques d’amélioration de la participation citoyenne à des institutions de taille réduite ou moyenne qui n’auraient sinon pas eu pareil accès à de telles ressources.</p></div>
