title: Re-contraindre le design
url: http://www.internetactu.net/2018/05/07/re-contraindre-le-design/
hash_url: 8264d5066f4071a8e5580b84734fd81e

<p>On a souvent évoqué sur InternetActu.net les travaux du designer James Auger (<a href="http://crapfutures.tumblr.com/">blog</a>, <a href="https://twitter.com/crapfutures">@crapfutures</a> ; voir notamment <a href="http://www.internetactu.net/2017/09/18/quelle-ethique-pour-le-design/">« Quelle éthique pour le design ? »</a> et <a href="http://www.internetactu.net/2009/03/05/le-design-pour-construire-le-futur-dans-lequel-nous-voulons-vivre/">« Le design pour construire le futur dans lequel nous voulons vivre »</a>). L’occasion d’une masterclass qu’il livrait récemment à l’<a href="https://www.ensci.com/">Ensci</a>, nous permet de revenir sur l’éclairage qu’il apporte à la question du design, pour faire évoluer les contraintes qui pèsent sur la conception. </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2018/05/reconstraineddesignbyAuger-211x300.png" alt="" class="alignright size-medium wp-image-31770" hspace="6" vspace="6" srcset="http://www.internetactu.net/wp-content/uploads/2018/05/reconstraineddesignbyAuger-211x300.png 211w, http://www.internetactu.net/wp-content/uploads/2018/05/reconstraineddesignbyAuger.png 526w" sizes="(max-width: 211px) 100vw, 211px"/>Recontraindre le design est le titre <a href="https://www.researchgate.net/publication/317486037_Reconstrained_Design_A_Manifesto">d’un manifeste que James Auger a publié en 2017</a>. Cette nécessité, pour lui, est née des travaux que le designer a réalisés ces dernières années à l’<a href="https://www.m-iti.org">Institut des technologies interactives de Madère</a>. Mais avant de re-contraindre le design, il faut d’abord comprendre les contraintes qui pèsent sur le designer. </p>
<p>Tous les designers pensent à partir de contraintes, de limites, rappelle Auger. En 1972, le célèbre couple de designers <a href="https://fr.wikipedia.org/wiki/Charles_Eames">Charles et Ray Eames</a>, répondaient à <a href="http://www.eamesoffice.com/the-work/design-q-a-text/">une série de 29 questions</a> sur le design à l’occasion de l’exposition sur « Qu’est-ce que le design ? » au musée des arts décoratifs de Paris. Pour eux, expliquaient-ils, le design consiste à répondre à une somme de contraintes, qui sont à l’origine des problèmes que rencontre le designer, car il doit travailler avec celles-ci. Pour eux, les contraintes qu’ils identifiaient étaient multiples comme le prix, la taille, la force, l’équilibre, la surface, le temps, etc. Chaque problème auquel est confronté le designer produit sa propre liste de contraintes. Réaliser une chaise par exemple nécessite de prendre en compte les contraintes des matériaux et de production qui lui sont associées. Avec le numérique, les contraintes qui pèsent sur le designer n’ont pas disparues, estime Auger, au contraire. Mais il est plus que jamais nécessaire d’identifier les contraintes problématiques et se demander comment reconstruire le design depuis elles. </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2018/05/Augermasterclass-1024x576.jpg" alt="" class="aligncenter size-large wp-image-31787" srcset="http://www.internetactu.net/wp-content/uploads/2018/05/Augermasterclass-1024x576.jpg 1024w, http://www.internetactu.net/wp-content/uploads/2018/05/Augermasterclass-300x169.jpg 300w, http://www.internetactu.net/wp-content/uploads/2018/05/Augermasterclass-768x432.jpg 768w, http://www.internetactu.net/wp-content/uploads/2018/05/Augermasterclass.jpg 1200w" sizes="(max-width: 1024px) 100vw, 1024px"/><br/>
<em>Image : James Auger, en masterclass à l’Ensci, <a href="https://twitter.com/Rouffi/status/988456502062211072/photo/1">via Romain Rouyer</a>.</em> </p>
<h2>La contrainte du progrès</h2>
<p><img src="http://www.internetactu.net/wp-content/uploads/2018/05/augerbelgeddesfuturama-300x169.jpg" alt="Norman Bel Geddes sur la maquette de Futurama" title="Norman Bel Geddes sur la maquette de Futurama" class="alignleft size-medium wp-image-31771" hspace="6" vspace="6" srcset="http://www.internetactu.net/wp-content/uploads/2018/05/augerbelgeddesfuturama-300x169.jpg 300w, http://www.internetactu.net/wp-content/uploads/2018/05/augerbelgeddesfuturama-768x432.jpg 768w, http://www.internetactu.net/wp-content/uploads/2018/05/augerbelgeddesfuturama-1024x576.jpg 1024w, http://www.internetactu.net/wp-content/uploads/2018/05/augerbelgeddesfuturama.jpg 1280w" sizes="(max-width: 300px) 100vw, 300px"/>La première des contraintes qui pèse sur le designer aujourd’hui est le dogme du progrès, souligne Auger. Comme le pointait le spécialiste des sciences et du développement durable <a href="https://en.wikipedia.org/wiki/Langdon_Winner">Langdon Winner</a> dans son livre <em><a href="https://amzn.to/2w8j8oT">La baleine et le réacteur</a></em>, la technologie n’ébranle pas la foi dans le progrès, au contraire. La prochaine vague d’innovation est toujours vue comme la planche de salut des échecs de la précédente. Le progrès technologique, dans ses innovations, a toujours été vu comme ayant une influence positive sur la civilisation. Le design a bien sûr joué un rôle majeur pour vendre ces rêves technologiques, estime le designer en évoquant par exemple le rôle du décorateur <a href="https://fr.wikipedia.org/wiki/Norman_Bel_Geddes">Norman Bel Geddes</a>, architecte du pavillon de General Motors lors de la Foire internationale de New York de 1939, plus connue sous le nom de <a href="https://en.wikipedia.org/wiki/Futurama_(New_York_World%27s_Fair)">Futurama</a>.  Cette exposition composée principalement d’immenses maquettes a servi General Motors pour faire du lobbying auprès de politiciens et du grand public afin de promouvoir le développement des autoroutes. En pleine crise économique, l’exposition a été un catalyseur d’espoirs. Les grandes autoroutes américaines ont été construites. Et GM a pu vendre les voitures que ces infrastructures nécessitaient. Reste que la réalité n’a pas été aussi belle que celle qu’illustraient les immenses maquettes de Norman Bel Geddes. On n’y voyait pas d’embouteillages, seulement une circulation fluide, célébrant à la fois la liberté et l’organisation rationnelle du monde. L’utopie de Bel Geddes a été de courte durée. Pour chaque bénéfice qu’apporte une nouvelle technologie, il faut toujours compter sur leurs implications négatives. Pour Auger, cela montre que nous devons explorer les conséquences des technologies avant leur déploiement. Or, bien souvent, on n’explore pas ces aspects-là, trop occupés que nous sommes à vendre des solutions et des visions. </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2018/05/RPM-copia-copia-300x264.jpg" alt="Real Prediction Machine" title="Real Prediction Machine" class="alignright size-medium wp-image-31772" hspace="6" vspace="6" srcset="http://www.internetactu.net/wp-content/uploads/2018/05/RPM-copia-copia-300x264.jpg 300w, http://www.internetactu.net/wp-content/uploads/2018/05/RPM-copia-copia.jpg 540w" sizes="(max-width: 300px) 100vw, 300px"/>En 2014, le projet <a href="http://www.auger-loizeau.com/projects/real-prediction-machines">Real Prediction Machines</a> (RPM) (<a href="https://vimeo.com/119781315">vidéo</a>) de James Auger avait justement pour objet de regarder les implications des produits avant qu’ils ne soient produits. Ce travail de conception spéculative, réalisée avec des scientifiques avait pour but d’interroger l’intuition et l’incertain, en observant l’impact des techniques prédictives issues des Big data sur nos existences. Le projet avait pour but de révéler comment l’analyse de données pouvait prédire une attaque cardiaque. Avec des spécialistes, Auger a sélectionné des flux de données permettant d’évaluer un risque cardiaque et de le rendre visible. À défaut de données médicales, le designer a cherché à trouver d’autres données pour caractériser les risques, par exemple en utilisant un microphone pour écouter le ton des conservations, leur fréquence, leur volume et les mots-clefs utilisés. Au final, l’objet se présente comme un capteur en temps réel, dont les lumières tournent, clignotent et changent de couleurs pour créer un retour stroboscopique de l’état d’énervement de l’utilisateur. L’enjeu du RPM, présenté à l’exposition Crafting Narrative, était de montrer le potentiel transformateur du big data dans la vie quotidienne. D’imaginer un retour immédiat de l’analyse de données personnelles selon qu’un facteur prédictif semble imminent ou éloigné. </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2018/05/toothimplant-150x150.jpg" alt="L'implant dentaire de Auger et Loizeau" title="L'implant dentaire de Auger et Loizeau" class="alignleft size-thumbnail wp-image-31773" hspace="6" vspace="6"/>L’un des projets les plus célèbres de James Auger et Jimmy Loizeau, <a href="http://www.auger-loizeau.com/projects/toothimplant">l’implant dentaire audio</a> était une image conceptuelle spéculative d’une dent augmentée de capacités techniques censée permettre la communication télépathique. Ce projet, présenté lors d’une exposition au musée des sciences de Londres, visait à dénoncer l’omniprésence de la téléphonie mobile en projetant sa prochaine étape logique : faire que le téléphone fasse partie de nos corps. </p>
<p>C’était une simple blague qui a fonctionné au-delà des espérances des auteurs, puisque ce projet né d’une critique de la communication mobile ou des perspectives de communication distantes comme celles qu’exploraient alors le spécialiste de cybernétique <a href="https://fr.wikipedia.org/wiki/Kevin_Warwick">Kevin Warwick</a> en s’implantant une puce électronique dans la peau pour déverrouiller la porte de son laboratoire à distance. L’implant dentaire a fait la une du <em>Times</em> en 2002 qualifié d’innovation la plus cool de l’année. En fait, souligne Auger, le fait que ce soit une blague est passé complètement inaperçu. Les journalistes voulaient l’histoire que racontait cette proposition. Nombre de spécialistes leur ont écrit pour leur proposer de travailler avec eux et améliorer leur concept, mais bien peu voyaient la critique que le projet voulait réaliser des implications de la technologie sur nos vies. </p>
<p>Deux projets qui montrent que le dogme du progrès semble résister à toutes les critiques et se présente toujours comme un accomplissement nouveau, quand bien même ce ne serait pas le cas. Bref, qu’il n’est pas si simple de faire une critique de la technologie par la technologie. </p>
<h2>La contrainte des moyens et des fins</h2>
<p>La seconde contrainte qui pèse sur le design aujourd’hui est les moyens et les fins. Le philosophe des technologies, <a href="https://en.wikipedia.org/wiki/Albert_Borgmann">Alfred Borgmann</a> parle de paradigme de l’appareil. Pour lui, les choses sont inséparables de leur contexte. Nous nous engageons et interagissons avec eux selon leurs modalités. À l’inverse, les dispositifs, nous déchargent des contextes, parce que les technologies avancées qui les sous-tendent sont invisibles ou masquées. Borgman distinguait ainsi le foyer d’une cheminée d’un système de chauffage central qui peut pourtant se présenter sous une apparence assez proche, comme dans le cas d’une cheminée au gaz. Or, si dans le premier cas le contrôle du foyer est transparent et dépend entièrement de l’utilisateur, dans le second cas, l’utilisateur ne voit pas l’infrastructure de tuyaux qui amène le gaz et les flammes jusqu’à son semblant de cheminée. Les designers comme les utilisateurs sont devenus obsédés par les fins, par des produits léchés, renfermant des systèmes techniques cachés de plus en plus opaques. Les systèmes techniques sont devenus des boîtes noires, à l’image du thermostat Nest, dépourvus même du moindre bouton. Les objets désormais satisfont nos besoins le plus efficacement possibles via des solutions techniques sophistiquées qui nous sont complètement invisibles. </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2018/05/opensourcevaccuumLynch-200x300.jpg" alt="L'aspirateur open source de Tom Lynch" title="L'aspirateur open source de Tom Lynch" class="alignright size-medium wp-image-31774" hspace="6" vspace="6" srcset="http://www.internetactu.net/wp-content/uploads/2018/05/opensourcevaccuumLynch-200x300.jpg 200w, http://www.internetactu.net/wp-content/uploads/2018/05/opensourcevaccuumLynch-768x1152.jpg 768w, http://www.internetactu.net/wp-content/uploads/2018/05/opensourcevaccuumLynch-683x1024.jpg 683w, http://www.internetactu.net/wp-content/uploads/2018/05/opensourcevaccuumLynch.jpg 1000w" sizes="(max-width: 200px) 100vw, 200px"/>Ce mouvement a plusieurs conséquences. Il nous enlève de la compétence. Mais également, comme le soulignait dès 1968 le philosophe <a href="https://fr.wikipedia.org/wiki/Jean_Baudrillard">Jean Baudrillard</a> dans <em><a href="https://amzn.to/2FHLOo8">Le système des objets</a></em>, il déresponsabilise :  <em>« L’automatisme équivaut à une fermeture, à une sorte d’autosuffisance fonctionnelle qui exile l’homme dans l’irresponsabilité du simple spectateur »</em>. L’automatisation nous pousse à l’apathie. Supprimer la contrainte des fins et des moyens invite donc le concepteur à dépasser les solutions obligées, à rendre le fonctionnement visible, à réengager l’utilisateur en l’invitant à mieux se reconnecter avec les produits, à l’exemple de <a href="https://github.com/unknowndomain/Open-Source-Vacuum-Cleaner/wiki/Introduction">l’aspirateur open source</a> imaginé par le designer <a href="http://tomlynch.co.uk">Tom Lynch</a>. Le problème est que de telles propositions viennent s’opposer à des propositions qui ne sont pas nécessairement plus fonctionnelles, mais qui sont bien plus désirables pour le consommateur, à l’image du célèbre aspirateur Dyson. L’aspirateur de Lynch a d’innombrables qualités : il fonctionne à partir de matériau de récupération, peut être réparé facilement et les utilisateurs peuvent contribuer à son amélioration. Mais pour l’instant, dans cette compétition entre ces deux visions, force est de constater que l’une l’emporte bien plus que l’autre. Pour Auger, cela signifie qu’il faut introduire dans cette contrainte des fins et des moyens, une question qui est pour l’instant encore largement laissée de côté : celle du désir. Or susciter du désir est assurément une fonction du designer. La fonctionnalité ne suffit pas. Son rôle est aussi de créer des objets désirables. </p>
<h2>Dépasser les limites de la fabrication</h2>
<p><em>« Tout ressemble à un clou pour qui ne possède qu’un marteau »</em>, disait le psychologue <a href="https://fr.wikipedia.org/wiki/Abraham_Maslow">Abraham Maslow</a>. Aujourd’hui, on pourrait paraphraser cette maxime par <em>« Tout ressemble à du code pour qui possède un ordinateur »</em>… Telle est la loi de l’instrumentation, qui nous fait croire que tout est désormais soluble dans les imprimantes 3D et les outils de découpe numérique… Or, effectivement, ironise le designer, tous les objets qu’on fabrique avec une découpe laser se ressemblent. <em>« Ce que nous pouvons faire est toujours limité par les options des outils que nous utilisons »</em>. Cela ne veut pas dire qu’il ne faut pas les utiliser, mais qu’il est nécessaire de compléter ce qu’ils permettent d’autres compétences, plutôt que les utiliser pour eux-mêmes. </p>
<p>En 2015, James Auger <a href="http://www.auger-loizeau.com/projects/cuckoo">a réinterprété le Coucou suisse</a>, mais cette fois-ci, il a voulu tout réaliser par lui-même, pièce par pièce. Bon, il n’a pas tout réalisé lui-même réellement, mais… si on souhaite vraiment faire quelque chose, il faut sortir de sa zone de confort et se remettre à l’établi pour faire et pour apprendre. </p>
<h2>Dépasser les contraintes infrastructurelles</h2>
<p>Le design est également contraint par les limites d’évolution des produits eux-mêmes. La plupart des évolutions sont plus souvent incrémentales, évolutives, comme le souligne l’évolution des gammes de voitures produites par Ford entre 1896 et 1968. Les technologies proposent des itérations à partir de lignées de produits… Ainsi, même le dernier modèle de la Google, Car demeure une proposition dans les contraintes de ce qu’est ou de ce que peut ou doit être une voiture. La nature itérative de la technologie réduit l’imagination du designer et agit comme une contrainte forte. Les 7 versions de l’iPhone produites sont assez proches les unes des autres, chacune proposant des petites améliorations par rapport aux précédentes versions, plus puissantes, plus efficaces… plus chères aussi. Ce constat montre qu’il est difficile de proposer autre chose, de penser en dehors du cadre, de supprimer la contrainte propre au produit et à son histoire. </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2018/05/augerisophone-300x225.jpg" alt="L'Iso-Phone de Auger et Loizeau" title="L'Iso-Phone de Auger et Loizeau" class="alignleft size-medium wp-image-31775" hspace="6" vspace="6" srcset="http://www.internetactu.net/wp-content/uploads/2018/05/augerisophone-300x225.jpg 300w, http://www.internetactu.net/wp-content/uploads/2018/05/augerisophone.jpg 600w" sizes="(max-width: 300px) 100vw, 300px"/>James Auger évoque alors un de ses projets de 2003, l’<a href="http://www.auger-loizeau.com/projects/isophone">Iso-Phone</a> (<a href="https://vimeo.com/7140102">vidéo</a>). L’idée ici était de proposer un autre rapport à la télécommunication que ceux que nous proposent nos outils téléphoniques, dans un contexte de privation de la sensibilité. Le dispositif visait à se concentrer sur l’expérience d’être en communication avec quelqu’un en éliminant tout ce qui vient la perturber, d’où cette proposition de faire un échange téléphonique depuis une piscine, via des casques qui coupent toute distraction avec la réalité. De recontextualiser la conversation, de l’extraire de tout contexte social… Ici, l’enjeu n’était pas d’agir sur la qualité de la transmission ou la miniaturisation des objets de télécommunication, mais de tenter de proposer une expérience de communication différente, pour regarder en quoi cela peut transformer la façon dont on parle aux gens. </p>
<p>Repousser les contraintes qu’imposent les infrastructures mène bien sûr jusqu’aux projets les plus récents que développe le designer, notamment ceux relatifs à l’énergie. </p>
<p>Notre système énergétique repose sur une puissante infrastructure faite de centrales, de réseaux de distribution et de prises électriques sur lesquels tous les produits doivent se brancher. Tous les produits que l’on conçoit doivent ainsi être munis d’une prise électrique pour se brancher au réseau électrique. Et cette contrainte est une contrainte sur laquelle le designer n’a pas la main, car il n’a pas accès, ne peut pas changer la façon dont son produit est alimenté. <em>« Tous les produits se terminent par une prise électrique ! J’ai voulu réfléchir à développer une autre relation à l’énergie, dans la façon même dont le produit opère »</em>. </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2018/05/augerafterlife01-300x225.jpg" alt="Afterlife" title="Afterlife" class="alignright size-medium wp-image-31776" hspace="6" vspace="6" srcset="http://www.internetactu.net/wp-content/uploads/2018/05/augerafterlife01-300x225.jpg 300w, http://www.internetactu.net/wp-content/uploads/2018/05/augerafterlife01.jpg 600w" sizes="(max-width: 300px) 100vw, 300px"/>Entre 2001 et 2013, avec Jimmy Loizeau, James Auger a plusieurs fois questionné notre rapport à l’énergie via le <a href="http://www.auger-loizeau.com/projects/afterlife">projet Afterlife</a>. L’idée était d’interroger la relation à ce qu’on devient après notre mort. Plutôt que de transformer les choses en appareils, l’idée ici était de transformer les appareils en chose, pour prendre le contre-pied de ce que disait Alfred Borgmann. Ce projet spéculatif visait à transformer les corps des défunts en pile électrique, de générer de l’électricité depuis la matière organique, de créer des piles permettant d’utiliser l’énergie que pourrait produire la décomposition du cadavre d’un proche. <em>« J’aimais bien l’idée qu’on puisse faire quelque chose d’utile de moi après ma mort »</em>, s’amuse le designer. Lors de <a href="https://www.moma.org/interactives/exhibitions/2008/elasticmind/">l’exposition Design on Elastic Mind</a>, la proposition n’a pourtant pas été bien reçue, notamment parce qu’elle présentait les choses de manière un peu crue, sous la forme d’un cercueil pour récupérer l’énergie produite par la décomposition des corps. Les designers ont demandé aux gens ce qu’ils voudraient que leurs proches fassent des piles que leurs décompositions produiraient. L’un des participants a suggéré que ses piles puissent alimenter une télécommande de télévision qui mettrait automatiquement une chaîne avec des émissions de nature, le genre de programmes que sa famille n’aimait pas trop. Pour lui, c’était un moyen pour signifier encore à ses proches quelque chose de sa nature, de son caractère, qui pouvait s’imposer aux autres… </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2018/05/augermadere-150x150.jpg" alt="Madere" title="Madere" class="alignleft size-thumbnail wp-image-31777" hspace="6" vspace="6"/>Repenser les contraintes peut aller plus loin encore, à l’image de <a href="http://crapfutures.tumblr.com/tagged/gravity-battery">la Newton Machine</a> (<a href="https://vimeo.com/201859288">vidéo</a>) sur laquelle il a travaillé depuis Madère où il était installé jusqu’à très récemment. Madère est une île volcanique, très accidentée, très ensoleillée et ventée. C’est une île où l’utilisation d’énergie renouvelable est possible : on y trouve d’ailleurs des éoliennes et des fermes solaires. Mais, comme souvent avec l’énergie renouvelable, la question du stockage énergétique est compliquée. D’où l’idée d’exploiter le paysage de Madère, avec ses grandes falaises verticales, pour imaginer une batterie qui stockerait l’énergie en utilisant les atouts de la topographie même de l’ile. C’est l’idée qui a donné naissance à la pile à gravité. </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2018/05/crap-futures.png" alt="la batterie à gravité" title="la batterie à gravité" class="alignright size-full wp-image-31778" hspace="6" vspace="6"/>Le principe est assez simple une masse (dans la première version, une grosse bonbonne d’eau) suspendue à un câble produit de l’énergie par la gravité et produit de l’énergie via un transformateur. L’électricité produite est utilisée pour alimenter un tourne-disque. La bonbonne est relevée en journée par l’énergie produite par un panneau solaire et descend en soirée en utilisant l’énergie ainsi stockée. C’est un moyen de stocker l’énergie solaire simplement, mécaniquement. Le dispositif permet de voir concrètement les effets de sa consommation énergétique : comme quand la bonbonne descend plus rapidement si on augmenter le volume de la musique. Ce POC, cette preuve de concept fonctionnelle a depuis été améliorée. La première version fonctionnait bien, mais ne permettait pas de stocker beaucoup d’énergie et nécessitait d’assembler beaucoup de compétences pour être réalisée. Une autre version utilise un vieux moteur de moto et <a href="https://newtonmachine.m-iti.org/index.php/Introducing_the_Newton_Machine">les modalités de réalisation ont été documentées et simplifiées pour pouvoir être mieux reproduites et partagées</a>. Lors d’une fête de la science en Écosse, la machine a pu être construite en quelques heures avec l’aide d’un mécanicien pour alimenter un clavier électronique et jouer de la musique en soirée. L’enjeu, estime Auger, est d’utiliser des compétences locales, d’en faire un levier de coopération et de construction communautaire. L’idée est aussi d’adapter le principe à d’autres spécificités locales. Pour une exposition à Barcelone, Auger a travaillé à rendre le prototype plus désirable, en utilisant du bois de récupération, la roche volcanique de Madère… en construisant un objet que les gens voudraient acheter. <a href="http://crapfutures.tumblr.com/post/172033736894/time-reconstrained-part-1">Cela a donné la lampe à gravité</a> : une lampe qui offre de la lumière pendant une heure, une lumière qui s’abaisse petit à petit pour montrer que l’énergie se raréfie, comme un moyen de montrer d’une manière tangible le temps qui passe et son lien avec la consommation d’énergie. </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2018/05/augergravitylamp-300x200.jpg" alt="La lampe à gravité" title="La lampe à gravité" class="alignleft size-medium wp-image-31779" hspace="6" vspace="6" srcset="http://www.internetactu.net/wp-content/uploads/2018/05/augergravitylamp-300x200.jpg 300w, http://www.internetactu.net/wp-content/uploads/2018/05/augergravitylamp.jpg 500w" sizes="(max-width: 300px) 100vw, 300px"/>Comme il le souligne dans son billet qui présente la lampe à gravité, en citant le poète et essayiste paysan <a href="https://fr.wikipedia.org/wiki/Wendell_Berry">Wendell Berry</a> : <em>« Nous avons supposé au cours des cinq cents dernières années, que la nature n’est qu’une réserve de «matières premières» et que nous ne pouvions posséder en toute sécurité en les utilisant. Cette appropriation avec l’augmentation de nos moyens technologiques a toujours impliqué moins de révérence ou de respect, moins de gratitude, moins de connaissances locales et moins de compétences. Nos manières d’utiliser ces ressources se sont éloignées de nos anciennes tentatives d’imiter les processus naturels et ressemblent de plus à un terrible extractivisme. »</em> Nous vivons un moment de luxe, de confort incroyable, énergétiquement parlant, rappelle James Auger. </p>
<blockquote><p>« Mais ce que nous avons aujourd’hui, personne ne l’aura à nouveau. Nous privons les générations futures de ressources et d’un environnement propre et stable. Un kilo de charbon fournit environ 8 kWh d’énergie, ce qui est extrêmement efficace, si l’on ne prend pas en compte les centaines de millions d’années qu’il a fallu à ce charbon pour se former. Cette quantité de temps, elle, est consommée d’un coup, en un instant, par une simple pression sur un bouton. Or, si l’on prend en compte ce temps, les combustibles fossiles fournissent une efficacité et un rendement extrêmement faible. Si on remet le temps dans l’équation, une batterie à gravité devient bien plus puissante qu’un bout de charbon ».</p></blockquote>
<p>C’est l’enjeu des projets de James Auger, rendre notre consommation énergétique visible, tangible, temps réel. La Newton Machine n’est pas conçue pour être une solution instantanée aux problèmes énergétiques mondiaux, concède le designer, mais elle rappelle que notre relation quotidienne et actuelle à l’énergie est une <em>« illusion insoutenable »</em>. Alors que la diminution des ressources naturelles nous pousse à inventer toujours de nouvelles solutions d’extraction, la pile à gravité nous invite à une nouvelle relation à l’énergie, plus responsable. La banalité de la prise électrique et des interrupteurs nous masquent les infrastructures d’exploitation et la destruction environnementale que nous avons mises en place, et que nous utilisons sans nous rendre compte de leur impact. </p>
<p><em>« Le design influence le désir. Si dans le passé, le design a été utilisé pour encourager la consommation, pour rendre les biens de consommation désirables, nous devons à l’avenir faire appel au design pour lutter contre nos désirs. »</em> Nous devons ajuster la portée de notre consommation. Reconstruire le design, re-contraindre le design, c’est reconstruire et re-contraindre le temps. </p>
<p>Et Auger de conclure en invitant les designers à contester les structures de pouvoir qui exploitent le potentiel du design. Il faut utiliser le design pour inverser ce qu’affirmait le banquier Paul Mazur de Lehman Brothers en 1927 quand il proclamait que les désirs de l’homme doivent éclipser ses besoins. C’est l’inverse dont nous avons besoin. Il nous faut travailler à trouver des moyens désirables pour satisfaire nos besoins. </p>
<p>Hubert Guillaud</p>
