title: Scott Atran on Youth, Violent Extremism and Promoting Peace
url: http://www.seattlestar.net/2015/04/scott-atran-on-youth-violent-extremism-and-promoting-peace/
hash_url: 9964a8091c7bcbf1afb010332eb405ad

<p><em>On 23 April, 2015, Prof. Scott Atran addressed the UN Security Council, to our knowledge the first time an anthropologist has ever been asked to speak to this body. In particular, he spoke to the Ministerial Debate on ‘The Role of Youth in Countering Violent Extremism and Promoting Peace.’ His presentation on youth radicalization condenses in a very tight format his insights gained from wide ranging experimental and ethnographic research on young people who have joined violent extremist movements. Scott circulated links to his talk and the text, and he has agreed to let me post it here on PLOS Neuroanthropology so that it can reach the widest possible audience.</em></p>
<p><em><a href="http://blogs.plos.org/neuroanthropology/files/2015/04/7482540_f260.jpg" data-rel="lightbox-1" title=""><img class="alignright size-full wp-image-7994" src="http://blogs.plos.org/neuroanthropology/files/2015/04/7482540_f260.jpg" alt="7482540_f260"/></a><a href="http://sitemaker.umich.edu/satran/home">Scott Atran</a> is a Directeur de Recherche, Anthropologie, at the Centre National de la Recherche Scientifique in Paris, as well as holding professorial positions and chairs at <a href="http://www.hmc.ox.ac.uk/pages/default.asp?id=16&amp;sID=96&amp;cP=440">Oxford University</a>, John Jay College of Criminal Justice, and the University of Michigan. He is <a href="http://artisresearch.com/scott-atran/">co-founder of Artis Research</a> and author of <a href="http://www.amazon.co.uk/Talking-Enemy-Violent-Extremism-Sacred/dp/1846144124">Talking to the Enemy</a> and <a href="http://global.oup.com/academic/product/in-gods-we-trust-9780195178036;jsessionid=131F20F0F5B7205EC2543E938B8667C7?cc=es&amp;lang=en&amp;">In Gods We Trust</a>. His research in cognitive anthropology is diverse and fascinating, but his current research is especially urgent, which is one reason I asked him if I could post this here. </em></p>
<p><strong>Address to UN Security Council by Scott Atran.</strong></p>
<p><iframe src="https://www.youtube.com/embed/qlbirlSA-dc?feature=oembed" frameborder="0" allowfullscreen="allowfullscreen">VIDEO</iframe></p>
<p><em>Presentation by Prof. Scott Atran:</em></p>
<p>Your Royal Highness Crown Prince Al Hussein Bin Abdullah II, Mr. Secretary General, and distinguished representatives, I thank the Security Council and the Government of Jordan for letting me try to help.</p>
<p>I am an anthropologist. Anthropologists, as a group, study the diversity of human cultures to understand our commonalities and differences, and to use the knowledge of what is common to us all to help us bridge our differences. My research aims to help reduce violence between peoples, by first trying to understand thoughts and behaviors as different from my own as any I can imagine: such as suicide actions that kill masses of people innocent of direct harm to others. The key, as Margaret Mead taught me long ago, when I worked as her assistant at the American Museum of Natural History here in New York, was to empathize with people, without always sympathizing: to participate in their lives to the extent you feel is morally possible. And then report.</p>
<p>I’ve spent much time observing, interviewing and carrying out systematic studies among people on six continents who are drawn to violent action for a group and its cause. Most recently with colleagues <a href="http://www.nytimes.com/2015/03/16/opinion/the-kurds-heroic-stand-against-isis.html?_r=0">last month in Kirkuk</a>, Iraq, among young men who had killed for ISIS, and with young adults in the banlieus of Paris and barrios of Barcelona who seek to join it.</p>
<p>With some insights from social science research, I will try to outline a few conditions that may help move such youth from taking the path of violent extremism.</p>
<p> </p>
<p>But first, who are these young people? None of the ISIS fighters we interviewed in Iraq had more than primary school education, some had wives and young children. When asked “what is Islam?” they answered “my life.” They knew nothing of the Quran or Hadith, or of the early caliphs Omar and Othman, but had learned of Islam from Al Qaeda and ISIS propaganda, teaching that Muslims like them were targeted for elimination unless they first eliminated the impure. This isn’t an outlandish proposition in their lived circumstances: as they told of growing up after the fall of Saddam Hussein in a hellish world of constant guerrilla war, family deaths and dislocation, and of not being even able to go out of their homes or temporary shelters for months on end.</p>
<p>In Europe and elsewhere in the Muslim diaspora the recruitment pattern is different: about 3 out of every 4 people who join Al Qaeda or ISIS do so through friends, most of the rest through family or fellow travelers in search of a meaningful path in life. It is rare, though, that parents are ever aware that their children desire to join the movement: in diaspora homes, Muslim parents are reluctant to talk about the failings of foreign policy and ISIS, whereas their children often want desperately to understand.</p>
<p>Most foreign volunteers and supporters fall within the mid-ranges of what social scientists call “the normal distribution” in terms of psychological attributes like empathy, compassion, idealism, and wanting mostly to help rather than hurt other people. They are mostly youth in <a href="http://www.artisresearch.com/articles/ARTIS_Theoretical_Frames_August_2009.pdf">transitional stages</a> in their lives: students, immigrants, between jobs or mates, having left or about to leave their native family and looking for a new family of friends and fellow travelers with whom they can find <a href="http://www.start.umd.edu/publication/quest-significance-model-radicalization-implications-management-terrorist-detainees">significance</a>. Most have had no traditional religious education, and are often “born again” into a socially tight, ideologically narrow but world-spanning sense of religious mission. Indeed, it is when those who do practice religious ritual are expelled from the mosque for expressing radical political beliefs, that the move to violence is most likely.</p>
<p>Last summer, an <a href="http://www.icmunlimited.com/media-centre/press/isis-poll-for-rossiya-segodnya">ICM poll</a> revealed that more than 1 in 4 French youth – of all creeds – between the ages of 18 and 24 have a favorable attitude towards ISIS; and in Barcelona just this month 5 of 11 captured ISIS sympathizers who planned to blow up parts of the city were recent atheist or Christian converts. The unholy alliance of narrow xenophobic nationalism and militant jihad, which play off one another’s fears, are beginning to destabilize the European middle class much as fascism and communism did in the 1920s and 30s, while inciting willingness to sacrifice among both nationalist xenophobes and militant jihadis. By contrast, our own research shows that even among native Western youth, ideals of liberal democracy no longer elicit willingness to make costly sacrifices for their defense.</p>
<p>Europe has a birth rate of 1.4 per couple, which means that without massive immigration it cannot sustain a viable middle class upon which every successful democratic society depends. Yet, Europe is arguably further from effectively dealing with problems of immigration than ever before. As one young woman from the Paris banlieu of Clichy-sur-Bois told us, she like so many others she hangs out with, feels neither French nor Arab, and because she will always be looked on suspiciously, she will choose the Caliphate to help create a homeland where Muslims can pool their resources, be strong again, and live in dignity.</p>
<p><a href="http://blogs.plos.org/neuroanthropology/files/2015/04/Atran-pullquote.jpg" data-rel="lightbox-2" title=""><img class="alignright size-full wp-image-7988" src="http://blogs.plos.org/neuroanthropology/files/2015/04/Atran-pullquote.jpg" alt="Atran-pullquote"/></a>But the popular notion of a “clash of civilizations” between Islam and the West is woefully misleading. Violent extremism represents not the resurgence of traditional cultures, but their collapse, as young people unmoored from millennial traditions flail about in search of a social identity that gives personal significance and glory. This is the dark side of globalization. They radicalize to find a firm identity in a flattened world: where vertical lines of communication between the generations are replaced by horizontal peer-to-peer attachments that can span the globe. Young people whose grandparents were Stone Age animists in Sulawesi, far removed from the Arab world, told me they dream of fighting in Iraq or Palestine in defense of Islam.</p>
<p>Although typically viewed in military terms, Al Qaeda, ISIS and related groups pose the greatest threat as the world’s most dynamic countercultural movement, one whose values run counter to the nation-state system represented here in the United Nations, and to its Universal Declaration of Human Rights. It has drawn youth from many places into the largest, most potent extraterritorial fighting force since WWII. And just as it took more than a decade for Al Qaeda to mature into a global menace, it may be many years before we see the full effect of ISIS, even if it is kicked out of its current territorial base.</p>
<p>Unless we understand these powerful cultural forces, we will fail to address the threat. When, as now, the focus is on military solutions and police interdiction, matters have already gone way too far. If that focus remains, we lose the coming generation.</p>
<p>So what might be done?</p>
<p>Foremost, continue your important work on problems of development, and on immigration and integration, with a goal to transform the much-lamented “youth bulge” into a “youth boom” by unleashing youth’s inherent energy and idealism.</p>
<p>Let me propose three conditions that I believe young people need, with brief illustrations. But each country will have to create and mobilize these conditions, suited to its own circumstances.</p>
<h2>I. The first condition: offer youth something that makes them dream, of a life of significance through struggle and sacrifice in comradeship.</h2>
<p>That is what ISIS offers. According to <a href="https://azelin.files.wordpress.com/2010/08/abu-bakr-naji-the-management-of-savagery-the-most-critical-stage-through-which-the-umma-will-pass.pdf"><em>Idaraat at-Tawahoush</em></a> (“The Management of Savagery”), the manifesto of the Al Qaeda in Mesopotamia and now ISIS, a global media plan should compel youth to “fly to the regions which we manage … [For] the youth of the nation are closer to the innate nature [of humans] on account of the rebelliousness within them, which… the inert Islamic groups [only try to suppress].”</p>
<p>When I hear another tired appeal to “moderate Islam,” usually from much older folk, I ask: Are you kidding? Don’t any of you have teenage children? When did “moderate” anything have wide appeal for youth yearning for adventure, glory, and significance?</p>
<p>Ask yourselves: What dreams may come from most current government policies that offer little beyond promises of comfort and security? Young people will NOT choose to sacrifice everything, including their lives – the totality of their self-interests – just for material rewards. In fact, <a href="http://www.pnas.org/content/104/18/7357.full">research</a> shows that offering material rewards or punishments may only push truly “<a href="http://www.sciencemag.org/content/317/5841/1039">Devoted Actors</a>” to greater extremes.</p>
<p><a href="http://www.pnas.org/content/111/50/17702.extract">Research</a> also shows that the greatest predictor of willingness to sacrifice is joining comrades in a sacred cause, which gives them a sense of special destiny and the will to fight. That is what <a href="http://www.sciencemag.org/content/336/6083/855.short">enables</a> initially low-power insurgent and revolutionary groups to resist and often prevail against materially more powerful foes who depend on <a href="https://www.aeaweb.org/articles.php?doi=10.1257/aer.103.3.518">material incentives</a>, such as armies and police that rely mainly on pay and promotion rather than heartfelt duty to defend the nation. Sacred values must be fought with other sacred values, or by sundering the social networks in which those values are embedded.</p>
<h2>II. The second condition: offer youth a positive personal dream, with a concrete chance of realization.</h2>
<p>The appeal of Al Qaeda or ISIS is not about jihadi websites, which are mostly blather and bombast, although they can be an initial attractor. It’s about what comes after. There are nearly 50,000 Twitter hashtags supporting ISIS, with an average of some 1000 followers each. They succeed by providing opportunities for personal engagement, where people have an audience with whom they can share and refine their grievances, hopes and desires. In contrast, government digital “outreach” programs typically provide generic religious and ideological “counter-narratives,” seemingly deaf to the personal circumstances of their audiences. They cannot create the intimate social networks that dreamers need.</p>
<p>Moreover, counter-narrative messaging is mostly negative: “So DAESH wants to build a future, well is beheading a future you want, or someone controlling details of your diet and dress?”</p>
<p>Can anyone not know that already? Does it really matter to those drawn to the cause despite, or even because of, such things? As one teenage girl from a Chicago suburb retorted to FBI agents who stopped her from flying to Syria: “Well, what about the barrel bombings that kill thousands? Maybe if the beheading helps to stop that.” And for some, strict obedience provides freedom from uncertainty about what a good person is to do.</p>
<p>Besides, once you are convinced of the mission’s moral virtue, then spectacular violence is not a turn off, but sublime and empowering as Edmund Burke noted about the French Revolution, which introduced the modern notion of Terror as emergency defense of radical political change.</p>
<p>And make no mistake, few if any of those who join militant jihad, or xenophobic nationalisms for that matter, are nihilists. That is an accusation leveled by those who wishfully refuse to consider the moral appeal, and hence real danger, of such movements. Being willing to die to kill others requires a deep conviction of moral virtue.</p>
<p>In Singapore last week, some speaking for Western governments argued that the Caliphate is mythology, covering traditional power politics. Research with those drawn to the cause show that this is a dangerous misconception. The Caliphate has re-emerged as a mobilizing cause in the minds of many Muslims. As one imam in Barcelona told us: “I am against the violence of Al Qaeda and ISIS, but they have put our predicament in Europe and elsewhere on the map. Before, we were just ignored. And the Caliphate…. We dream of it like the Jews long dreamed of Zion. Maybe it can be a federation, like the European Union, of Muslim peoples. The Caliphate is here, in our hearts, even if we don’t know what real form it will finally take.”</p>
<p>Without recognizing these passions, we risk fanning them.</p>
<p>And any serious engagement must be attuned to individuals and their networks, not to mass marketing of repetitive messages. Young people empathize with each other; they generally don’t lecture at one another. From Syria, a young woman messages another:</p>
<blockquote><p>I know how hard it is to leave behind the mother and father you love, and not tell them until you are here, that you will always love them but that you were put on this earth to do more than be with or honor your parents. I know this will probably be the hardest thing you may ever have to do, but let me help you explain it to yourself and to them.</p></blockquote>
<h2>III. A third condition: offer youth the chance to create their own local initiatives.</h2>
<p><a href="https://www.aeaweb.org/articles.php?doi=10.1257/aer.103.3.512">Social science research</a> shows that local initiatives, begun with small-scale involvement, are better than national and large-scale programs in reducing violence. It doesn’t matter which government agencies you want to help facilitate this. Let youth engage youth in the search for meaningful ways to make sense of the issues on their personal agenda, whether that be about oppression and political marginalization, lack of economic opportunity, the trauma of exposure to violence, or problems of identity and social exclusion. And most of all support personal engagement, through mutual support and community-based mentors – because it is almost always a particular personal circumstance, shared with friends, that radical extremism probes for, draws out, and tries to universalize into <a href="http://www.artisresearch.com/articles/Atran_Statement_Before_the_Senate.pdf">moral outrage</a> and violent action.</p>
<p>Consider this:</p>
<blockquote><p>At just 16, Gulalai Ismail, and her sister Saba, set up <a href="http://www.peacedirect.org/us/25-seeds-peace-pakistan/">the Seeds of Peace network</a> with a group of school friends to change the lives of young women in Khyber Pakhtunkhwa, NW Pakistan. They began by focusing on women’s place in society, and as their membership has grown, they are now training young activists to become local peace builders, challenging violence and extremism. They trained 25 young people in each of the last two years to join together to promote tolerance, non-violence and peace. The initiative is proving so popular that last year they had over 150 applicants.</p>
<p>The 50 trained young volunteers are now, in turn, reaching out to people in their communities who are vulnerable to radicalization. They hold study circles and one-to-one meetings with these people to develop and promote ideas for a peaceful future. Still in its early stages, the program will reach almost 1,500 young people in the next three years, growing a movement of activists against religious and political extremism. The results are a lot more remarkable, but Gulalai Ismail will not claim them publicly.</p></blockquote>
<p>Imagine a global archipelago of such peace builders: if you can find concrete ways to help and empower them without trying too hard to control, they could well win the future.</p>
<p>In sum, what is most important is quality time and sustained follow up of young people with young people, who understand that motivational factors can vary greatly with context despite commonalities: be it for a young father from Kirkuk, a teenage girl from Paris, neighborhood friends <a href="http://www.penguin.co.uk/books/talking-to-the-enemy/9780241951767/">from Tetuan</a>, Morocco, or <a href="http://www.nytimes.com/2015/04/05/world/europe/a-norway-town-and-its-pipeline-to-jihad-in-syria.html?emc=edit_th_20150405&amp;nl=todaysheadlines&amp;nlid=55236932&amp;_r=1">high school soccer buddies from Fredrikstad</a>, Norway. It takes a dynamic movement that is at once intimately personal and global – involving not just entrepreneurial ideas, but also physical activity, music and entertainment – to counter the growing global counterculture of violent extremism.</p>
<p><strong>Update:</strong></p>
<p>I’ve <a href="http://blogs.plos.org/neuroanthropology/2015/04/26/hoodbhoy-atran-hope-extremism/">posted an exchange of short letters</a> between Profs. Pervez Hoodbhoy and Scott Atran that followed on from Scott’s address to the UN Security Council. .</p>
<p><strong>Additional material on Scott Atran’s research:</strong></p>
<p>Scott Atran, <a href="http://www.huffingtonpost.com/scott-atran/helping-terrorists-terror_b_3141388.html">‘Helping Terrorists Terrorize: How Our Overwrought Reaction Fosters Radicalization,’</a> <em>The Huffington Post</em> (2013).</p>
<p><a href="http://www.theguardian.com/profile/scott-atran">Profile at <em>The Guardian</em></a> including links to a number of opinion pieces.</p>
<p><a href="https://evolution-institute.org/article/here-he-goes-again-sam-harriss-falsehoods/">‘Here He Goes Again: Sam Harris’s Falsehoods,’ </a>a piece at This View of Life written by Atran which addresses some of the ways that his research has been misrepresented.</p>
<p>Sara Reardon, <a href="http://www.nature.com/news/looking-for-the-roots-of-terrorism-1.16732">‘Looking for the roots of terrorism,’</a> <em>Nature</em>. Profile of and interview with Scott Atran from early 2015.</p>
<p>A fairly lengthy (41 minute) podcast of a discussion, <a href="http://www.pointofinquiry.org/scott_atran_what_makes_a_terrorist/">Scott Atran – What Makes a Terrorist?</a>, hosted by Chris Mooney for Point of Inquiry. (2013)</p>
<p><em>Originally written for <a href="http://blogs.plos.org/neuroanthropology/2015/04/25/scott-atran-on-youth-violent-extremism-and-promoting-peace/">Public Library of Science</a>.</em></p>
